<?cs include:"doctype.cs" ?>
<?cs include:"component_status_to_db.cs" ?>
<?cs include:"component_status_from_llp.cs" ?>
<html>  <?cs # vim: set syntax=html :?>

<head>
<?cs if:Channel.IsNew ?>
<title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Dashboard &gt; Add Channel &gt; Configure New Channel
<?cs else ?>
<title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Dashboard &gt; Channel  <?cs var:html_escape(Channel.Name) ?> &gt; Configuration
<?cs /if ?>
</title>
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("iguana_configuration.css") ?>" />
   <link rel="stylesheet" type="text/css" href="jquery-ui/css/south-street/jquery-ui-1.7.2.custom.css" />     
   <link rel="stylesheet" type="text/css" href="/js/help_popup/help_popup.css" /> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/cookie/cookiev4.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("class.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("queryv4.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("refreshv4.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("validation.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("path_expand.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("date_expand.js") ?>"></script>  
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/help_popup/help_popup.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("resizable_textarea.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("from_channel.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.dialog.js") ?>"></script>
   <?cs include:"mini-login.cs" ?>
   <?cs include:"file-browser.cs" ?>
   <?cs include:"browse_macro.cs" ?>   
</head>

<script defer type="text/javascript"> <!--

var ShowTbodyDisplayStyle = "";
var CurrentTab = null;
var CurrentTabContents = null;
var IsRunning = '<?cs var:IsRunning ?>';

var ReadOnlyMode = '<?cs var:Channel.ReadOnlyMode ?>';
var DASHskinningCookieData = COOKIEread('IguanaSkinningDirectoryCookie');
if (DASHskinningCookieData == null)
{
   DASHskinningCookieData = '';
}

var GroupCount = <?cs var: GroupCount ?>;
var BelongsToCount = <?cs var: BelongsToCount ?>;

function IsMemberOf(ID)
{
   var Options = document.getElementById("groupDropDown").options;

   for(i = 1; i < Options.length; ++i)
   {
      if(ID == Options[i].value)
      {
         return false;
      }      
   }

   return true;
}

function channelSave()
{
   var GroupList = document.getElementById("channelGroups");
   var Dropdown = document.getElementById("groupDropDown");
   if(Dropdown == undefined)
   {
      //No groups exist
      GroupList.value = "";
      document.channel_data.Action.click();
      return;
   }
  
   var StringBuilder = [];
   for(var i = 0; i < GroupIDs.length; ++i)
   {
      if(IsMemberOf(GroupIDs[i]))
      {
         StringBuilder.push(GroupIDs[i]);
         StringBuilder.push(',');
      }
   }
   //Drop the last comma.
   StringBuilder[StringBuilder.length -1] = "";
   GroupList.value = StringBuilder.join(''); 
   document.channel_data.Action.click();
}

function generateTooltipText(DescriptionText, GroupChannelCount, GlobalChannelCount)
{
	var stringBuilder = [];
        if (DescriptionText != "")
	{
	   stringBuilder.push(DescriptionText);
	   stringBuilder.push("<br><br>");
	}

        if (GlobalChannelCount < 1)
	{
	   stringBuilder.push("<b>No channels defined.</b>");
	   return stringBuilder.join('');
	}
	
	stringBuilder.push("Contains <b>");
	stringBuilder.push(GroupChannelCount);
	stringBuilder.push("</b> of <b>");
	stringBuilder.push(GlobalChannelCount);
		
	if (GlobalChannelCount == 1)
	{
	   stringBuilder.push("</b> channel.");
	}
	else
	{
	   stringBuilder.push("</b> channels.");
	}

	return stringBuilder.join('');

}

var Groups = new Array(<?cs var:GroupCount ?>);
var GroupIDs = new Array(<?cs var:GroupCount ?>);

function initializeGroups()
{
   <?cs set:count = #0 ?> 
   <?cs each: group = Groups ?>
   Groups[<?cs var:count ?>] = "<?cs var:js_escape(group.Name) ?>";
   GroupIDs[<?cs var:count ?>] = "<?cs var:js_escape(group.Value) ?>";
   <?cs set:count = count + #1 ?>
   <?cs /each ?>
	
   if (GroupCount == 0 && ReadOnlyMode == 0)
   {
      document.getElementById("tableGroupsBody").style.display = "none";
      return;
   }
}

function onDropdownChange(Dropdown)
{

   if (!Dropdown || Dropdown.value == "noval")
   {
      return;
   }
 
   document.getElementById("group_row_" + Dropdown.value).style.display = "";   

   for (i = Dropdown.length - 1; i >= 1; i--) 
   {
      if (Dropdown.options[i].selected) 
      {
         Dropdown.remove(i);
         break;
      }
   }      
   
   BelongsToCount++;
   if (BelongsToCount == GroupCount)
   {
      document.getElementById("groupDropDownRow").style.display = "none";
   } 

   Dropdown.value = "noval";
}

function removeGroup(ID, Name)
{
   var DropDown = document.getElementById("groupDropDown");

   document.getElementById("group_row_" + ID).style.display = "none";

   var Option = document.createElement('option');
   Option.text = Name;
   Option.value = ID;
   
   var InsertIndex = 1;

   if(DropDown.options.length > 1)
   {
      for (i = 0; i < Groups.length; ++i) 
      {
         if(Groups[i] == Name)
         {
            break;
         }

         if (document.getElementById("groupDropDown").options[InsertIndex].text == Groups[i])
         {
            ++InsertIndex;
         }
      }
   }      

   try {
     DropDown.options.add(Option, InsertIndex); // standards compliant; doesn't work in IE
   }
   catch(ex) {
     DropDown.options.add(Option, DropDown.selectedIndex); // IE only
   }

   document.getElementById("groupDropDownRow").style.display = "";
   --BelongsToCount;
}

function getStyleObject(objectId) 
{
   if(document.getElementById && document.getElementById(objectId)) 
   {
      return document.getElementById(objectId).style;
   }
   else if (document.all && document.all(objectId)) 
   {
      return document.all(objectId).style;
   } 
   else if (document.layers && document.layers[objectId]) 
   {
      return getObjNN4(document,objectId);
   }
   else 
   {
      return false;
   }
}

function showDatabaseNote(Prefix, ShowValue)
{   
   var DBTypeHelp = document.getElementById(Prefix + "DBTypeHelp");
   
   if (ShowValue == "MySQL" && DBTypeHelp)
   {
      DBTypeHelp.innerHTML = document.getElementById(Prefix + "_mysql_details").innerHTML;
   }
   else if (ShowValue == "OCI - Oracle" && DBTypeHelp)
   {
      DBTypeHelp.innerHTML = document.getElementById(Prefix + "_oci_details").innerHTML;
   }
   else if (DBTypeHelp)
   {
      DBTypeHelp.innerHTML = document.getElementById(Prefix + "_odbc_details").innerHTML;
   }

   if(Prefix == "Dst" && ShowValue != "")
   {
      var RowDestTimeout = document.getElementById("RowDestTimeout");
      
      if(ShowValue == "ODBC - MS SQL Server")
      {
         RowDestTimeout.style.display="";
      }
      else
      {
         RowDestTimeout.style.display="none";
      }
   }
   if(Prefix == "Src" && ShowValue != "")
   {
      var RowSrcTimeout = document.getElementById("RowSrcTimeout");
      
      if(ShowValue == "ODBC - MS SQL Server")
      {
         RowSrcTimeout.style.display="";
      }
      else
      {
         RowSrcTimeout.style.display="none";
      }
   }
}

function showDatabaseNoteSource(Prefix)
{
   var DataSourceIdHelp = document.getElementById(Prefix + "DataSourceIdHelp");
   ShowValue = document.getElementById(Prefix + 'DBType').value;
   
   if (ShowValue == "MySQL" && DataSourceIdHelp)
   {
      DataSourceIdHelp.innerHTML = document.getElementById(Prefix + "_mysql_database").innerHTML;
   }
   else if (ShowValue == "OCI - Oracle" && DataSourceIdHelp)
   {
      DataSourceIdHelp.innerHTML = document.getElementById(Prefix + "_oci_oracle_database").innerHTML;
   }
   else if (DataSourceIdHelp)
   {
      DataSourceIdHelp.innerHTML = document.getElementById(Prefix + "_odbc_database").innerHTML;
   }
}      

function initializeHelp()
{
   if (ReadOnlyMode != '1')
   {
      var highlightFormElements = ['input', 'textarea', 'select'];
      for (var countElements=0; countElements<highlightFormElements.length; countElements++) 
      {
         $('#channel_configuration_table ' + highlightFormElements[countElements]).each(
         function() 
         {
            this.onfocus = function() { showHighlight(this); };
            this.onmouseover = function() { showHighlight(this);  };
            this.onblur = function() { clearHighlight(this); };
            this.onmouseout = function() { clearHighlight(this); };
         });
      };
      $('#channel_configuration_table tr').each(
       function() 
       {
          if (!$(this).hasClass("component_label_row"))
          {
             this.onmouseover = function() 
             {
                //$('#channel_configuration_table tr').css("backgroundColor", "");
                $(this).css("backgroundColor", "#cbe892");
             };
             this.onmouseout = function() 
             {
                //$('#channel_configuration_table tr').css("backgroundColor", "");
                $(this).css("backgroundColor", "")
             };
          }
       });
   }
}

function onLoad()
{
   // I need to set this before the components are loaded
      
   <?cs   if:Channel.Source.IsDatabase ?>   onLoadFromDatabase();
   <?cs elif:Channel.Source.IsFile ?>       onLoadFromFile();
   <?cs elif:Channel.Source.IsExecutable ?> onLoadFromExecutable();
   <?cs elif:Channel.Source.IsLLP ?>        onLoadFromLlp();
   <?cs /if ?>

   <?cs   if:Channel.Destination.IsFile ?>       onLoadToFile();
   <?cs elif:Channel.Destination.IsExecutable ?> onLoadToExecutable();
   <?cs elif:Channel.Destination.IsDatabase ?>   onLoadToDatabase();
   <?cs elif:Channel.Destination.IsLLP ?>        onLoadToLlp();
   <?cs elif:Channel.Destination.IsHttp ?>       onLoadToHttp();
   <?cs /if ?>   
   
   onLoadMessageFilter();

   CurrentTab = document.getElementById("channelTab");
   CurrentTabContents = document.getElementById("channelTabContents");

   try { var TabName = decodeURIComponent(window.location.href.match(/[?&]Tab=([^&]*)/)[1]); } catch (e) {}
   var Tab;
   if (TabName && TabName.match(/^(source|filter|destination|exportTables)$/) && (Tab = document.getElementById(TabName + 'Tab')))
   {
      setTimeout(function(){showTabContents(Tab,TabName+'TabContents');}, 1);
   }
   else
   {
      var EditTab = document.getElementById("<?cs var:html_escape(Channel.editTab) ?>");
      if (EditTab)
      {
         showTabContents(EditTab, "<?cs var:html_escape(Channel.editTab) ?>Contents");
      }
   }
   
   <?cs if:Channel.HasErrors && CurrentUserCanAdmin ?>
      activateErrorTab();
   <?cs /if ?>
   
   // Auto configuration area adjustment
   adjustConfigurationAreaDimensions();
   window.onresize = onResize;
   onResize();

   window.onscroll = onResize;

   TOOLinitialize();

   HLPpopUpinitialize(helpTooltipDivRefresh);
   initializeHelp();
   <?cs if:!Channel.IsNew ?>
      statusTooltip();
      sourceTooltip();
      filterTooltip();
      destinationTooltip();
      updateStatus();
   <?cs /if ?>   

   initializeGroups();

   // We don't want the channel form to submit if we happen to press enter.
   //
   document.getElementById('channel_data').onkeydown = function(e) {
      if(window.event) e = window.event;
      if(e.keyCode == 13) // Enter
      {
         var source = (e.srcElement ? e.srcElement : e.target);
         return source.type == 'textarea';
      }
   };  
}

function showTabContents(SelectedTab, TabContentsId)
{
   CurrentTab.className = "";
   CurrentTabContents.style.display = "none";
   
   CurrentTab = SelectedTab;
   CurrentTabContents = document.getElementById(TabContentsId);
   CurrentTab.className = "current";
   CurrentTabContents.style.display = ShowTbodyDisplayStyle;
   document.getElementById("editTab").value = SelectedTab.id;
      
   adjustConfigurationAreaDimensions();

   if(ReadOnlyMode == 0 && TabContentsId == 'channelTabContents')
   {
      RTAresizeTimer(document.getElementById("description"));
   }
   $("#helpTooltipDiv").fadeOut("slow");
   return false;
}

function showSourceTab()
{
   showTabContents(document.getElementById('sourceTab'), 'sourceTabContents');
}

function showDestinationTab()
{
   showTabContents(document.getElementById('destinationTab'), 'destinationTabContents');
}

// Activate the first tab with an "error" on it, if such a tab
// exists.
function activateErrorTab()
{
   <?cs if:Channel.Configuration.HasErrors ?>
      <!-- Channel tab is already active -->
   <?cs elif:Channel.Source.HasErrors ?>
      showTabContents(document.getElementById("sourceTab"), "sourceTabContents");
   <?cs elif:Channel.MessageFilter.HasErrors ?>
      showTabContents(document.getElementById("filterTab"), "filterTabContents");
   <?cs elif:Channel.Destination.HasErrors ?>
      showTabContents(document.getElementById("destinationTab"), "destinationTabContents");
   <?cs /if ?>
}

var resizeTimeoutId;

function onResize()
{
   // Some browsers (like firefox) don't always call onResize() at the right time.
   // So we will make sure to run the adjustments the user's mouse stops moving.
   clearTimeout(resizeTimeoutId);
   resizeTimeoutId = setTimeout("adjustConfigurationAreaDimensions();", 150);
   
}

function adjustConfigurationAreaDimensions()
{
   var ConfigurationDiv = document.getElementById('channel_configuration_container');

   // Table height - fit size to screen
   var NewHeight = WINgetWindowHeight() - WINwindowOffsetTop(ConfigurationDiv) - 90;
   if (NewHeight < 100)
   {
      NewHeight = 100;
   }
   ConfigurationDiv.style.height = NewHeight + 'px';
   
   // Table width - fit size to screen.  Calculate width using the side bar.
   var SideBar = document.getElementById('side_panel');
   NewWidth = SideBar.offsetLeft - 65;
   
   if (NewWidth < 200)
   {
      NewWidth = 200;
   }

   ConfigurationDiv.style.width = NewWidth + 'px';
   
   // Set the configuration table's width explicitly (instead of 100%).
   // This makes some browsers do the best auto-sizing for the table.
   var ConfigurationTable = document.getElementById('channel_configuration_table');
   ConfigurationTable.style.width = ConfigurationDiv.clientWidth - 2 + 'px';
  
   var StatusModalDialog = document.getElementById('ChannelStatusModalWindow');
   if (StatusModalDialog != null)
   {
      if (StatusModalDialog.style.display == '')
      {
         ChannelStatusModal.show();
      }
   }
}

function updateLoggingLevelMessage(message)
{
   var MessageSpan = document.getElementById('spanLoggingLevelMessage');
   MessageSpan.innerHTML = message;
}

function loggingLevelUpdateComplete(data)
{
   updateLoggingLevelMessage(data);
   clearTimeout(RequestTimeoutId);
   
   // TODO: add commit popup here.
   
   setTimeout("updateLoggingLevelMessage('');", 5000);
}

function loggingLevelUpdateError(error)
{
   if (error == 'Not Found')
   {
      error = "The specified URL could not be found.  Please ensure that you are still logged into Iguana.";
   }
   var ErrorMessage = '<b style="color: red;">Error while updating logging level:<br />' + error + '</b>';
   updateLoggingLevelMessage(ErrorMessage);
   clearTimeout(RequestTimeoutId);
}

function requestTimeout()
{
   loggingLevelUpdateError('Request timed out.');
}

var RequestTimeoutId;

function updateLoggingLevel(NewLoggingLevel)
{
   var ChannelName= encodeURIComponent("<?cs var:js_escape(Channel.Name) ?>");
   AJAXpost('set_logging_level', 'Channel=' + ChannelName + '&LoggingLevel=' + NewLoggingLevel,
             loggingLevelUpdateComplete,
             loggingLevelUpdateError
   );
   
   updateLoggingLevelMessage('<b style="color: gray;">Updating logging level...</b>');
   
   RequestTimeoutId = setTimeout("requestTimeout();", 5000);
}

function channelCancel()
{
   var editTab = document.getElementById("editTab").value;
   ChannelName = '<?cs var:js_escape(Channel.Name)?>';
   document.location = "/channel.html?Channel=" + encodeURIComponent(ChannelName) + "&editTab=" + editTab;   
}

function channelDoAction(Action)
{
   AJAXpost('/dashboard_data', 'action=' + Action
                         + '&channel=' + encodeURIComponent('<?cs var:js_escape(Channel.Name)?>')
                         + '&FirstChannelIndex=0'
                         + '&LastChannelIndex=0',
      function(Data, ContentType) {
         var Response;
         if( ContentType == 'application/json' )
         {
            try      { Response = eval('(' + Data + ')'); }
            catch(e) { /* Guess it lied. */ }
         }

         if( !Response || (Response.LoggedIn !== undefined) && !Response.LoggedIn )
         {
            MiniLogin.show('Your Iguana Session has Expired.');
         }
         else if( Response.ErrorDescription )
         {
            alert(Response.ErrorDescription);
         }
      },
      function(Error) {
         MiniLogin.show('Your Iguana Session has Expired.');
      }
   );
   clearTimeout(statusTimeout);
   updateStatus();
}

function showHighlight(thisElement)
{
   $('#channel_configuration_table tr').css("backgroundColor", "");
   focusedElement = thisElement.id;                    
   $(thisElement).parents("tr.selected").css("backgroundColor", "#cbe892");
}

function clearHighlight(thisElement)
{
   $('#channel_configuration_table tr').css("backgroundColor", "");
   $(thisElement).parents("tr.selected").css("backgroundColor", ""); 
}

// This function is used to refresh the content of dynamic help windows (modal)
// If you include a div inside of the "rel" tag - see HLPpopUpinitialize() - you can refresh that div by specifying an
function helpTooltipDivRefresh(focusedElement)
{
   
   if (focusedElement == "SrcDataSourceId")
   {
      showDatabaseNoteSource("Src");
   }
   else if (focusedElement == "DstDataSourceId")
   {
      showDatabaseNoteSource("Dst");
   }
   else if (focusedElement == "SrcDBType")
   {
      showDatabaseNote("Src",document.getElementById(focusedElement).value);
   }
   else if (focusedElement == "DstDBType")
   {
      showDatabaseNote("Dst",document.getElementById(focusedElement).value);
   }   
}

// Setting the LiveStatus tooltip for the jollyrancher icon.
var statusTooltipText;
var statusTooltipOn = 0;
function statusTooltip()
{
   var componentStatusImg = document.getElementById('statusImg');
   componentStatusImg.onmouseover = function()
   {
      TOOLtooltipLink(statusTooltipText, function() { statusTooltipOn = 1; }, this);
   };

   componentStatusImg.onmouseout = function()
   {
      TOOLtooltipClose();  
      statusTooltipOn = 0;
   };

   componentStatusImg.onmouseup = function()
   {
      TOOLtooltipClose();
      statusTooltipOn = 0;
   };
}

// Setting the Source tooltip for the component icon.
var sourceTooltipText;
var sourceTooltipOn = 0;
function sourceTooltip()
{
   var componentSourceImg = document.getElementById('sourceImg');
   componentSourceImg.onmouseover = function()
   {
      TOOLtooltipLink
      (
         sourceTooltipText, 
         function() 
         { 
            sourceTooltipOn = 1; 
            componentSourceImg.src = "/images/icon_<?cs var:html_escape(Channel.Source.ShortName) ?>_hover.gif"
         }, 
         this
       );
   };

   componentSourceImg.onmouseout = function()
   {
      TOOLtooltipCloseIfNotHover();  
      sourceTooltipOn = 0;
      componentSourceImg.src = "/images/icon_<?cs var:html_escape(Channel.Source.ShortName) ?>.gif"
   };

   componentSourceImg.onmouseup = function()
   {
      TOOLtooltipCloseIfNotHover();
      sourceTooltipOn = 0;
      componentSourceImg.src = "/images/icon_<?cs var:html_escape(Channel.Source.ShortName) ?>.gif"
   };
}

// Setting the Filter tooltip for the component icon.
var filterTooltipText;
var filterTooltipOn = 0;
function filterTooltip()
{
   var componentFilterImg = document.getElementById('filterImg');
   componentFilterImg.onmouseover = function()
   {
      TOOLtooltipLink
      (
          filterTooltipText, 
	  function() 
	  { 
	     filterTooltipOn = 1; 
             <?cs if:Channel.UseMessageFilter ?>
                componentFilterImg.src = "/images/arrow_filter_hover.gif"
             <?cs else ?>
                componentFilterImg.src ="/images/arrow_hover.gif"
             <?cs /if ?>	     
	  }, 
	  this
       );
   };

   componentFilterImg.onmouseout = function()
   {
      TOOLtooltipCloseIfNotHover();  
      filterTooltipOn = 0;
      <?cs if:Channel.UseMessageFilter ?>
         componentFilterImg.src = "/images/arrow_filter.gif"
      <?cs else ?>
         componentFilterImg.src ="/images/arrow.gif"
      <?cs /if ?>
   };

   componentFilterImg.onmouseup = function()
   {
      TOOLtooltipCloseIfNotHover();  
      filterTooltipOn = 0;
      <?cs if:Channel.UseMessageFilter ?>
         componentFilterImg.src = "/images/arrow_filter.gif"
      <?cs else ?>
         componentFilterImg.src ="/images/arrow.gif"
      <?cs /if ?>
   };
}

// Setting the Destination tooltip for the component icon.
var destinationTooltipText;
var destinationTooltipOn = 0;
function destinationTooltip()
{
   var componentDestinationImg = document.getElementById('destinationImg');
   componentDestinationImg.onmouseover = function()
   {
      TOOLtooltipLink
      (
          destinationTooltipText, 
	  function() 
	  { 
	     destinationTooltipOn = 1; 
             componentDestinationImg.src = "/images/icon_<?cs var:html_escape(Channel.Destination.ShortName) ?>_hover.gif"
   	  }, 
	  this
       );
   };

   componentDestinationImg.onmouseout = function()
   {
      TOOLtooltipCloseIfNotHover();
      destinationTooltipOn = 0;
      componentDestinationImg.src = "/images/icon_<?cs var:html_escape(Channel.Destination.ShortName) ?>.gif"
   };

   componentDestinationImg.onmouseup = function()
   {
      TOOLtooltipCloseIfNotHover();
      destinationTooltipOn = 0;
      componentDestinationImg.src = "/images/icon_<?cs var:html_escape(Channel.Destination.ShortName) ?>.gif"
   };
}

function disableExportButtons()
{
   <?cs if:Channel.Source.RequiresTables ?>
      document.getElementById('hrefExportSourceTablesButton').style.display = 'none';
      document.getElementById('ExportSourceTablesButton').style.display = '';
   <?cs /if ?>
   
   <?cs if:Channel.Destination.RequiresTables ?>
      document.getElementById('hrefExportDestinationTablesButton').style.display = 'none';
      document.getElementById('ExportDestinationTablesButton').style.display = '';
   <?cs /if ?>
   
   <?cs if:Channel.Source.RequiresTables && Channel.Destination.RequiresTables ?>
      document.getElementById('hrefExportSourceAndDestinationTablesButton').style.display = 'none';
      document.getElementById('ExportSourceAndDestinationTablesButton').style.display = '';
   <?cs /if ?>
}

function enableExportButtons()
{
   <?cs if:Channel.Source.RequiresTables ?>
      document.getElementById('hrefExportSourceTablesButton').style.display = '';
      document.getElementById('ExportSourceTablesButton').style.display = 'none';
   <?cs /if ?>
   
   <?cs if:Channel.Destination.RequiresTables ?>
      document.getElementById('hrefExportDestinationTablesButton').style.display = '';
      document.getElementById('ExportDestinationTablesButton').style.display = 'none';
   <?cs /if ?>
   
   <?cs if:Channel.Source.RequiresTables && Channel.Destination.RequiresTables ?>
      document.getElementById('hrefExportSourceAndDestinationTablesButton').style.display = '';
      document.getElementById('ExportSourceAndDestinationTablesButton').style.display = 'none';
   <?cs /if ?>
}

// Sets the value if the element exists and the data exists.
// if element exists, but data does not, sets to '0'
function setElementToNumericValue(ElementName, NumericValue, Link)
{
   var Element = document.getElementById(ElementName)
   if (Element)
   {
      var HtmlResult = ''
      if (Link)
      {
          HtmlResult += '<a href="' + Link + '">';
      }
      if (NumericValue)
      {
         HtmlResult += NumericValue;
      }
      else
      {
         HtmlResult += '0';
      }
      if (Link)
      {
          HtmlResult += '</a>';
      }
      Element.innerHTML = HtmlResult;
   }
}

function makeQueuedLink()
{
<?cs if:Channel.FirstSourceChannelName ?>
   return FRMCHqueuedLogBrowserLink('<?cs var:js_escape(Channel.Name) ?>', 
                                    '<?cs var:js_escape(Channel.FirstSourceChannelName) ?>');
<?cs else ?>
   return '';
<?cs /if ?>
}

// Replace the "Edit Script" in the tooltip if the user doesn't have permissions
function adjustTooltipEditScript (TooltipText) {
   <?cs if:CurrentUserCanReconfigure ?>
   <?cs else ?>
       var TT = $(TooltipText);
       TT.find (".edit_permission_required").removeAttr("href").text ("You do not have the necessary permissions to edit the script.");
       TooltipText = $('<div>').append(TT).html(); // jQuery does not have outerHtml function, so we wrap in a temporary div
   <?cs /if ?>    
   return TooltipText;
}

// This is where we update the status with the return json data
// In general, it just updates the elements.  In the rare case that a channel's status has changed,
// the page is reloaded (in view mode) or a modal is shown and then the page is reloaded (in edit mode)
// If we change the start/stop buttons to ajax calls, we could leave the user on the same page (in edit mode)
// and allow them to stop the channel and then save their changes.
function statusUpdateComplete(data)
{      
   var DashboardData = DASHparseJson(data);
   
   if( !DashboardData || (DashboardData.LoggedIn !== undefined) && !DashboardData.LoggedIn )
   {
      MiniLogin.show('Your Iguana Session has Expired.');
      return;
   }
   else if (IsRunning != DashboardData.IsRunning)
   {
      if (DashboardData.IsRunning !== undefined)
      {
         IsRunning = DashboardData.IsRunning;
      }
      if (ReadOnlyMode == '1')
      {
         <?cs if:CurrentUserCanStartStop ?>

            if (IsRunning)
            {
               document.getElementById('hrefStartButton').style.display = 'none';
               document.getElementById('hrefStopButton').style.display = '';
        
			   <?cs if:CurrentUserCanAdmin ?>
		           document.getElementById('hrefRemoveButton').style.display = 'none';
	               document.getElementById('ChannelRemoveButtonAdmin').style.display = '';
			   <?cs /if ?> 
			   <?cs if:CurrentUserCanReconfigure ?>			   
	               document.getElementById('hrefChannelEditButton').style.display = 'none';
		           document.getElementById('ChannelEditButton').style.display = '';
			   <?cs /if ?> 
               
               disableExportButtons();
            }
            else
            {
               document.getElementById('hrefStopButton').style.display = 'none';
               document.getElementById('hrefStartButton').style.display = '';

			   <?cs if:CurrentUserCanAdmin ?>
				   document.getElementById('ChannelRemoveButtonAdmin').style.display = 'none';
		           document.getElementById('hrefRemoveButton').style.display = '';
			   <?cs /if ?> 
			   <?cs if:CurrentUserCanReconfigure ?>			   
	               document.getElementById('ChannelEditButton').style.display = 'none';
		           document.getElementById('hrefChannelEditButton').style.display = '';
			   <?cs /if ?>                
               enableExportButtons();
            }

         <?cs else ?>

            if (IsRunning)
            {
               document.getElementById('ChannelStartButtonNonAdmin').style.display = 'none';
               document.getElementById('ChannelStopButtonNonAdmin').style.display = '';
            }
            else
            {
               document.getElementById('ChannelStopButtonNonAdmin').style.display = 'none';
               document.getElementById('ChannelStartButtonNonAdmin').style.display = '';                  
            }

         <?cs /if ?>

      }
      else
      {            
         ChannelStatusModal.show();
      }
   }

   setElementToNumericValue('spnQueued', DashboardData.CountOfRemaining, makeQueuedLink());
   setElementToNumericValue('spnTotalProcessed', DashboardData.CountOfProcessed);
   setElementToNumericValue('spnCurrentProcessed', DashboardData.CountOfCurrentProcessed);
   setElementToNumericValue('spnTotalEnqueued', DashboardData.CountOfEnqueued);
   setElementToNumericValue('spnInboundTps', DashboardData.InboundTps);
   setElementToNumericValue('spnOutboundTps', DashboardData.OutboundTps);
   
   if (DashboardData.CountOfError )
   {
      document.getElementById('hrefCountofError').innerHTML = DashboardData.CountOfError;
      document.getElementById("hrefCountofError").className = 'error';
      $("#CountOfErrorDiv").css({ backgroundColor:"#FFCDCB", border:"#FFA19C 1px solid", padding:"1px 5px 1px 5px", marginLeft:"-6px" });
   }
   else
   {
      document.getElementById('hrefCountofError').innerHTML = '0';
      document.getElementById("hrefCountofError").className = '';
      $("#CountOfErrorDiv").css({ backgroundColor:"", border:"0px", padding:"0px 5px 0px 0px", marginLeft:"0px" });
   }

   HrefClearChannelErrors = document.getElementById('href_clearChannelErrors');
   if (HrefClearChannelErrors)
   {
      HrefClearChannelErrors.innerHTML = (DashboardData.ClearChannelErrorsBusy ? 'busy' : 'clear');
   }

   if(DashboardData.LastActivityTimeStamp)
   {
      document.getElementById('hrefLastActivity').innerHTML = DashboardData.LastActivityTimeStamp;
   }
   else
   {
      document.getElementById('hrefLastActivity').innerHTML = 'N/A';
   }
   statusTooltipText = DashboardData.LiveStatus;

   if (statusTooltipOn == 1)
   {
      TOOLtooltipRefresh(statusTooltipText);
   }

   sourceTooltipText = adjustTooltipEditScript(DashboardData.SourceTooltip);

   if (sourceTooltipOn == 1)
   {
      TOOLtooltipRefresh(sourceTooltipText);
   }

   filterTooltipText = adjustTooltipEditScript(DashboardData.FilterTooltip);
   if (filterTooltipOn == 1)
   {
      TOOLtooltipRefresh(filterTooltipText);
   }

   destinationTooltipText = adjustTooltipEditScript(DashboardData.DestinationTooltip);

   if (destinationTooltipOn == 1)
   {
      TOOLtooltipRefresh(destinationTooltipText);
   }

   var StatusImage = document.getElementById('statusImg');
   if (DashboardData.GreenLight)
   {
      StatusImage.src = DASHskinningCookieData + '/images/button-dotgreenv4.gif';
   }
   else if (DashboardData.YellowLight)
   {
      StatusImage.src = DASHskinningCookieData + '/images/button-dotyellowv4.gif';
   }
   else if (DashboardData.RedLight)
   {
      StatusImage.src = DASHskinningCookieData + '/images/button-dotredv4.gif';
   }
   else if (DashboardData.OffLight)
   {
      StatusImage.src = DASHskinningCookieData + '/images/button-dotgrayv4.gif';         
   }
}

// Mini login and ajax code
function statusLevelUpdateError(error)
{
   clearTimeout(statusTimeout);
   MiniLogin.show('Iguana is not responding.', DASHonMiniLogin);
}

var statusTimeout;

function updateStatus()
{
   var ChannelGuid=  encodeURIComponent("<?cs var:js_escape(Channel.Guid) ?>");
   AJAXpost('channel_status_data.html', 'Channel.Guid=' + ChannelGuid + '&AutomaticRequest=1',
             statusUpdateComplete,
             statusLevelUpdateError
   );
   
   statusTimeout = setTimeout(updateStatus, 1000);
}

function DASHparseJson(Text)
{
   try
   {
      return eval(Text);
   }
   catch(e)
   {
      throw 'The response contains invalid data.';
   }
}
function DASHonMiniLogin()
{
   updateStatus();
}

function DASHonSelectChannel(selectNode)
{
   var Option = selectNode.options[selectNode.selectedIndex].text;
   if (Option)
   {
      if (Option == '[Add Channel]' && selectNode.options[selectNode.selectedIndex].value == 'AddChannelOption')
      {
         document.location = "/add_channel.html"
      }
      else
      {
         var TabName = document.getElementById("editTab").value.match(/^(.*)Tab$/)[1];
         document.location = "/channel.html?Channel=" + encodeURIComponent(Option) + "&Tab=" + encodeURIComponent(TabName);
      }
   }
}
<!--
// Import messsages
var MessageImportDialogImportJobId = '';

function formatMessageImportProgress(ImportJob)
{
   var PercentOfByte = ImportJob.CountOfByte > 0 ? 100 * (ImportJob.CountOfProcessedByte / ImportJob.CountOfByte) : 0;
   var PercentOfMessage = ImportJob.CountOfMessage > 0 ? 100 * (ImportJob.CountOfProcessedMessage / ImportJob.CountOfMessage): 0;

   var Result = '';
   Result += 'State: ' + ImportJob.State + '\n';
   Result += 'Error: ' + ImportJob.Error + '\n';
   Result += 'FileExists: ' + ImportJob.FileExists + '\n';
   Result += 'CountOfByte: ' + ImportJob.CountOfByte + '\n';
   Result += 'CountOfProcessedByte: ' + ImportJob.CountOfProcessedByte + '\n';
   Result += 'CountOfMessage: ' + ImportJob.CountOfMessage + '\n';
   Result += 'CountOfProcessedMessage: ' + ImportJob.CountOfProcessedMessage + '\n';
   Result += 'CountOfTruncatedMessage: ' + ImportJob.CountOfTruncatedMessage + '\n';
   return Result;
}

function requestMessageImportStatus()
{
   if (MessageImportDialogImportJobId != '')
   {
      AJAXpost('message_import', 'Action=Status&ImportJobId=' + encodeURIComponent(MessageImportDialogImportJobId),
         onMessageImportDialogStatusUpdate,
         onMessageImportDialogError
      );
   }
}

function onMessageImportDialogError(Error)
{
   document.getElementById('MessageImportProgress').innerHTML = Error;
}

function onMessageImportDialogStatusUpdate(Content, ContentType)
{
   if (ContentType != 'application/json')
   {
      document.getElementById('MessageImportProgress').innerHTML = 'Invalid ContentType: ' + ContentType;
      return;
   }

   var Status;
   try
   {
      Status = eval('(' + Content + ')');
   }
   catch (Error)
   {
      document.getElementById('MessageImportProgress').innerHTML = Error;
      return;
   }

   if (Status.ErrorDescription !== undefined)
   {
      document.getElementById('MessageImportProgress').innerHTML = Status.ErrorDescription;
      return;
   }
   
   if (Status.Jobs == undefined || Status.Jobs.length != 1)
   {
      MessageImportDialogImportJobId = '';
      document.getElementById('MessageImportProgress').innerHTML = '';
      return;
   }

   MessageImportDialogImportJobId = Status.Jobs[0].ImportJobId;

   document.getElementById('MessageImportProgress').innerHTML = formatMessageImportProgress(Status.Jobs[0]);

   if (Status.Jobs[0].State == 'PARSING' || Status.Jobs[0].State == 'IMPORTING')
   {
      setTimeout('requestMessageImportStatus();', 1000);
   }
}

function onMessageImportFilePathChange()
{
   var PostVariables = 
      'Action=Parse' + 
      '&Channel=' + encodeURIComponent('<?cs var:js_escape(Channel.Name)?>') +
      '&FilePath=' + encodeURIComponent(document.getElementById('MessageImportFileInput').value);
   
   if (MessageImportDialogImportJobId != '')
   {
      PostVariables += '&ImportJobId=' + encodeURIComponent(MessageImportDialogImportJobId);
   }

   AJAXpost('message_import', PostVariables,
      onMessageImportDialogStatusUpdate,
      onMessageImportDialogError
   );
}

function closeMessageImportDialog()
{
   $('#messageImportDialog').dialog('close');
}

function openMessageImportDialog()
{
   <?cs if: !CurrentUserCanAdmin ?>
      alert('Only administrators can import messages.');
   <?cs else ?>
      $('#messageImportDialog').dialog({
         modal: true,
         width: 400,
         buttons: {
            "Cancel":             closeMessageImportDialog
         }
      }).dialog('open');
   <?cs /if ?>
}
-->


--> </script>

<body class="tableft" onload="onLoad();">

<?cs if: Channel.Source.IsFromChannel ?>
   <?cs linclude:"calendar.cs" ?>
<?cs /if ?>

<?cs include:'channel_status_change.cs' ?>

<?cs set:Navigation.CurrentTab = "Dashboard" ?>
<?cs include:"header.cs" ?>

<div id="main" style="margin-bottom: 0px;">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
         <?cs if:Channel.IsNew ?>
            <a href="/dashboard.html">Dashboard</a> &gt; <a href="/add_channel.html">Add Channel</a> &gt; Configure New Channel
         <?cs elif:Channel.ReadOnlyMode ?>
            <a href="/dashboard.html">Dashboard</a> &gt; Channel
               <select id="ChannelSelect" name="ChannelSelect" onChange="DASHonSelectChannel(this)">
                  <option value="AddChannelOption">[Add Channel]</option>
                  <?cs var:SourceOptions.ChannelSelectOptions ?>
               </select>
         <?cs else ?>
            <a href="/dashboard.html">Dashboard</a> &gt; <a href="/channel.html?Channel=<?cs var:url_escape(Channel.Name) ?>">Channel <?cs var:html_escape(Channel.Name) ?></a> &gt; Edit
         <?cs /if ?>
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
         
            <div id="divChannelConfiguration">
         
               <center>
  		  <form name="create_tables" id="create_tables" method="post" action="channel.html">
		     <input type="hidden" name="Channel" value="<?cs var:html_escape(Channel.Name) ?>"/>
		     <input type="submit" class="hidden_submit" name="Action" value="CreateTables" />
		  </form>
                  <form name="channel_data" id="channel_data" method="post" action="channel.html" <?cs if:!Channel.ReadOnlyMode ?>onsubmit="return VALvalidateFields();"<?cs /if ?>>  
                     <input type="hidden" name="Channel.ModifiedTimestamp" value="<?cs var:html_escape(Channel.ModifiedTimestamp) ?>"/>
                     <input type="hidden" name="Channel.Guid" value="<?cs var:html_escape(Channel.Guid) ?>"/>
                     <div class="tabs_and_contents">
                  
                        <div class="navcontainer" style="padding-top:5px;">
            
                           <?cs if:ErrorMessage ?>
                              <p style="font-weight: bold; color: red;margin-top:0px;"><?cs var:html_escape(ErrorMessage) ?></p>   
                           <?cs elif:Channel.HasErrors ?>
                              <p style="font-weight: bold; color: red;margin-top:0px;">Channel has configuration errors which will prevent it from being run.  Please see below.</p>
                           <?cs elif:Channel.HasWarnings ?>
                              <p>Channel has configuration warnings.  Please see below.</p>
                           <?cs /if ?>   
                        
                           <h2 style="padding-top:0px;margin-top:0px;"><?cs if:!Channel.IsNew ?>Channel: <?cs var:html_escape(Channel.Name) ?><?cs else ?>&nbsp;<?cs /if ?> </h2>
                  
                           <!-- Channel tab -->
                           <a id="channelTab" href="javascript:void(0)" onclick="return showTabContents(this, 'channelTabContents');"<?cs if:!Channel.ReadOnlyMode ?> class="current"<?cs /if?>>
                              <?cs if:Channel.Configuration.HasErrors ?>
                                 <img src="/<?cs var:skin("images/icon_error.gif") ?>" class="icon_error">
                              <?cs /if ?>
                              Channel
                           </a>
                           
                           <!-- Source tab -->
                           <a id="sourceTab" href="javascript:void(0)" onclick="return showTabContents(this, 'sourceTabContents');">
                              <?cs if:Channel.Source.HasErrors ?>
                                 <img src="/<?cs var:skin("images/icon_error.gif") ?>" class="icon_error">
                              <?cs elif:Channel.Source.HasWarnings ?>
                                 <img src="/<?cs var:skin("images/icon_warning.gif") ?>" class="icon_warning">
                              <?cs /if ?>
                              Source
                           </a>
                           
                           <!-- Filter tab -->
                           <a id="filterTab" href="javascript:void(0)" onclick="return showTabContents(this, 'filterTabContents');">
                              <?cs if:Channel.MessageFilter.HasErrors ?>
                                 <img src="/<?cs var:skin("images/icon_error.gif") ?>" class="icon_error">
                              <?cs elif:Channel.MessageFilter.HasWarnings ?>
                                 <img src="/<?cs var:skin("images/icon_warning.gif") ?>" class="icon_warning">
                              <?cs /if ?>
                              Filter
                           </a>
                           
                           <!-- Destination tab -->
                           <a id="destinationTab" href="javascript:void(0)" onclick="return showTabContents(this, 'destinationTabContents');">
                              <?cs if:Channel.Destination.HasErrors ?>
                                 <img src="/<?cs var:skin("images/icon_error.gif") ?>" class="icon_error">
                              <?cs elif:Channel.Destination.HasWarnings ?>
                                 <img src="/<?cs var:skin("images/icon_warning.gif") ?>" class="icon_warning">
                              <?cs /if ?>
                              Destination
                           </a>
			   
                           <?cs if:Channel.Source.RequiresTables || Channel.Destination.RequiresTables ?>
                           <!-- Export Database Tables tab -->
                           <a id="exportTablesTab" href="javascript:void(0)" onclick="return showTabContents(this, 'exportTablesTabContents');">
                              Tables
                           </a>
                           <?cs /if ?>
                              
                        </div>
                        <p />
                        <div id="channel_configuration_container">                         
                           <table class="channel_configuation_form" id="channel_configuration_table" cellspacing="0">            

                              <tbody id="channelTabContents" style="display:none;">
                                                                  
                                 <?cs if:Channel.IsNew ?>
                                    <tr class="selected">
                                       <td class="left_column first_row">Channel name<font color="#ff0000">*</font></td>
                                       <td class="inner_left first_row" colspan="3">
                                          <input class="configuration_long" name="Channel" value="<?cs var:html_escape(Channel.Name) ?>" maxlength="30" />
                                       </td>
                                    </tr>
                                 <?cs else ?>
                                    <input type="hidden" name="Channel" value="<?cs var:html_escape(Channel.Name) ?>" maxlength="30" class="ChannelInput" />
                                    <tr class="selected">
                                       <td class="left_column first_row">Channel name<font color="#ff0000">*</font></td>
                                       <td class="inner_left first_row" colspan="3">
                                       <?cs if:Channel.ReadOnlyMode ?>
                                          <?cs var:html_escape(Channel.Name) ?>   
                                       <?cs else ?>
                                          <input id="Channel_New" class="configuration_long" name="Channel_New" value="<?cs if:Channel.ChannelNameNew != null ?><?cs var:Channel.ChannelNameNew ?><?cs else ?><?cs var:html_escape(Channel.Name) ?><?cs /if ?>" maxlength="30" /> 
                                       <?cs /if ?>
                                       </td>
                                    </tr>
                                 <?cs /if ?>
                              
                                 <tr class="selected">
                                    <td class="left_column">Description</td>
                                    <td class="inner_left" colspan="3">
             
                                    <?cs if:Channel.ReadOnlyMode ?>
                                       <?cs var:newline_html(html_escape(Channel.Description)) ?>
                                       <input type="hidden" id="description" name="Description">   
                                    <?cs else ?>
                                        <textarea id="description" class="configuration" name="Description" style="width:450px;overflow:hidden" rows="2" onkeyup="RTAresizeTimer(this)"><?cs var:html_escape(Channel.Description) ?></textarea>                   
                                    <?cs /if ?>
                                    </td>
                                 </tr>
            
                                 <tr class="selected">
                                    <td class="left_column">Start automatically</td>
                                    <td class="inner_left" colspan="3">
                                    <?cs if:Channel.StartAutomatically ?>
                                       <?cs if:Channel.ReadOnlyMode ?>Yes
                                       <?cs else ?><input type="checkbox" class="no_style" name="StartAutomatically" checked />
                                       <?cs /if ?>
                                    <?cs else ?>
                                       <?cs if:Channel.ReadOnlyMode ?>No
                                       <?cs else ?><input type="checkbox" class="no_style" name="StartAutomatically" />
                                       <?cs /if ?>
                                   <?cs /if ?>
                                 </td>
                              </tr>
                              
                              <tr class="selected">
                                 <td class="left_column">Logging level</td>
                                 <td class="inner_left" colspan="3">
                                    <?cs if:Channel.ReadOnlyMode ?>                                       
                                       <?cs each:loggingLevel = LoggingLevels ?>
                                             <?cs if:name(loggingLevel) == Channel.LoggingLevel ?> <?cs var:html_escape(loggingLevel) ?><?cs /if ?>                                     
                                       <?cs /each ?>
                   
                                    <?cs else ?>
                                       <select name="LoggingLevel">
                                          <?cs each:loggingLevel = LoggingLevels ?>
                                          <option value="<?cs name:loggingLevel ?>" <?cs if:name(loggingLevel) == Channel.LoggingLevel ?>selected<?cs /if ?>>
                                             <?cs var:loggingLevel ?>
                                          </option>
                                       <?cs /each ?>
                                       </select>
                                    <?cs /if ?>
                                 </td>
                              </tr>
			
                              <?cs if:BelongsToCount != 0 || !Channel.ReadOnlyMode ?>

			      <tr class="selected">			      
                              <td class="left_column">Groups</td>
			      <td>                              
                                    <table>
                                    <tbody id="tableGroupsBody">
				       

    				       <?cs if:!Channel.ReadOnlyMode && CurrentUserCanAdmin?>
    				          <?cs each: group = Groups ?>
					  <tr id="group_row_<?cs var:html_escape(group.Value) ?>" <?cs if !group.InGroup ?>style="display:none"<?cs /if ?>>
					     <td>
					        <a class="recipient" onMouseOver="TOOLtooltipLink(generateTooltipText('<?cs var:html_escape(js_escape(newline_html(group.Description))) ?>', <?cs var: group.ChannelCount ?>,<?cs var: ChannelCount ?>), null, this);"
                                                onMouseOut="TOOLtooltipClose();"
                                                onmouseup="TOOLtooltipClose();">
						<span><?cs var:html_escape(group.Name) ?></span></a>
					     </td>
					        <td>
                                                   <?cs if:group.Name != "All Channels" ?>
						   <a class="button" href="javascript:removeGroup('<?cs var:group.Value ?>', '<?cs var:js_escape(html_escape(group.Name)) ?>')">
						      <span>
                                    		         <img src="../<?cs var:skin("images/icon_remove.gif") ?>" /> &nbsp;Remove
			                              </span>
						   </a>
                                                   <?cs /if ?>
					        </td>
					  </tr>
      				             <?cs /each ?>

  					  <?cs else ?>
					     <tr><td>
					     <?cs each: group = Groups ?>
					     <?cs if group.InGroup ?>
						   <a class="recipient" href="<?cs if:CurrentUserCanAdmin ?>editChannelGroup?group=<?cs var:html_escape(url_escape(group.Name)) ?><?cs else ?>channel_groupings_control.html<?cs /if ?>"
						   onMouseOver="TOOLtooltipLink(generateTooltipText('<?cs var:html_escape(js_escape(newline_html(group.Description))) ?>', <?cs var: group.ChannelCount ?>,<?cs var: ChannelCount ?>), null, this);"
                                                   onMouseOut="TOOLtooltipClose();"
                                                   onmouseup="TOOLtooltipClose();">
						      <span><?cs var:html_escape(group.Name) ?></span>
					   	   </a>
					     <?cs /if?>
					     <?cs /each ?>
					     </td></tr>
     					  <?cs /if ?>

				       <?cs if:!Channel.ReadOnlyMode && CurrentUserCanAdmin ?>
                                          <tr id="groupDropDownRow" <?cs if GroupCount == BelongsToCount ?>style="display:none"<?cs /if ?>>
                                             <td colspan="2">
                                                <select id="groupDropDown" value="noval" onchange="onDropdownChange(this);">
						   <option value="noval">Add this channel to a group ...</option>
					           <?cs each: group = Groups ?>
                                                      <?cs if:!group.InGroup && "All Channels" != group.Name ?> 
						      <option id="group_option_<?cs var:group.Value ?>" value="<?cs var:group.Value ?>" >
						      <?cs var:html_escape(group.Name) ?></option>
                                                      <?cs /if ?>
						   <?cs /each ?>
                                                </select>
                                             </td>
                                             <td><!-- remove button column --></td>
                                          </tr>
				       <?cs /if ?>
                                    </tbody>
                                 </table>
                                 <?cs if:CurrentUserCanAdmin ?>
                                 <font color="green" size=1>To create<?cs if GroupCount > 0 ?> or remove<?cs /if?> groups, go to <a href="/channel_groupings_control.html">Settings &gt; Channel Groups</a></font>
                                 <?cs /if ?> 
                             </td>
			   </tr>
 
			   <?cs /if ?>

                           </tbody>
                           
                           <tbody id="sourceTabContents" style="display: none;">
                              <tr class="selected">
                                 <td class="left_column first_row">Source</td>
                                 <td class="inner_left first_row" colspan="3">
                                    <?cs var:html_escape(Channel.Source.Type) ?>
                                 </td>
                              </tr> 
                              
                              <input type="hidden" name="SourceType" value="<?cs var:html_escape(Channel.Source.Type) ?>" />
                                       
                              <?cs if:   Channel.Source.IsLLP ?>         <?cs linclude: "component_from_llp.cs" ?>
                              <?cs elif: Channel.Source.IsDatabase ?>    <?cs linclude: "component_from_database.cs" ?>
                              <?cs elif: Channel.Source.IsFile ?>        <?cs linclude: "component_from_file.cs" ?>
                              <?cs elif: Channel.Source.IsExecutable ?>  <?cs linclude: "component_from_executable.cs" ?>
                              <?cs elif: Channel.Source.IsHttp ?>        <?cs linclude: "component_from_http.cs" ?>
                              <?cs elif: Channel.Source.IsFromChannel ?> <?cs linclude: "component_from_channel.cs" ?>
                              <?cs elif: Channel.Source.IsMapper ?>      <?cs linclude: "component_from_mapper.cs" ?>
                              <?cs else ?>
                                 <tr><td colspan="4" align="center">
                                    <font color="red">Unknown source type.  Please try again.</font>
                                 </td></tr>
                              <?cs /if ?>
                           </tbody>
                           
                           <tbody id="filterTabContents" style="display: none;">
                           
                              <input type="hidden" id="inputChannelHasMessageFilter" name="ChannelHasMessageFilter" value="<?cs var:Channel.HasMessageFilter ?>" />
                              
                              <?cs linclude: "message_filter.cs" ?>
                           
                           </tbody>
                           
                           <tbody id="destinationTabContents" style="display: none;">         
                              <tr class="selected">
                                 <td class="left_column first_row">Destination</td>
                                 <td class="inner_left first_row" colspan="3">
                                    <?cs var:html_escape(Channel.Destination.Type) ?>
                                 </td>
                              </tr> 
                              <input type="hidden" name="DestinationType" value="<?cs var:html_escape(Channel.Destination.Type) ?>" />
                              
                              <?cs if:   Channel.Destination.IsLLP ?>         <?cs linclude: "component_to_llp.cs" ?>
                              <?cs elif: Channel.Destination.IsDatabase ?>    <?cs linclude: "component_to_database.cs" ?>
                              <?cs elif: Channel.Destination.IsFile ?>        <?cs linclude: "component_to_file.cs" ?>
                              <?cs elif: Channel.Destination.IsExecutable ?>  <?cs linclude: "component_to_executable.cs" ?>
                              <?cs elif: Channel.Destination.IsHttp ?>  <?cs linclude: "component_to_http.cs" ?>
                              <?cs elif: Channel.Destination.IsToChannel ?>  <?cs linclude: "component_to_channel.cs" ?>
                              <?cs elif: Channel.Destination.IsMapper ?>     <?cs linclude: "component_to_mapper.cs" ?>
                              <?cs else ?>
                                 <tr><td colspan="4" align="center">
                                    <font color="red">Unknown destination type.  Please try again.</font>
                                 </td></tr>
                              <?cs /if ?>
                              
                           </tbody>

			   <tbody id="groupsTabContents" style="display: none;">         
                              
                           </tbody>
                           
                           <tbody id="exportTablesTabContents" style="display: none;">
                           
                              
                           
                              <tr><td colspan="4" class="center first_row">
                                 <center>
                                    When using a database as a
                                    <?cs if:Channel.Source.RequiresTables && Channel.Destination.RequiresTables ?>source or destination
                                    <?cs elif:Channel.Source.RequiresTables ?>source
                                    <?cs elif:Channel.Destination.RequiresTables ?>destination<?cs /if ?>
                                    component, you may need to export the database tables before you use the channel.
                                    See <a href="http://www.interfaceware.com/manual/iguana4_exporting_tables.html" target="_blank">Exporting the Database Tables</a> for more details.
                                 </center>
                              </td></tr>
                              
                              <?cs def:ifCanExportTables(output) ?>
                                 <?cs if:CurrentUserCanAdmin && !IsRunning && Channel.ReadOnlyMode ?><?cs var:output ?><?cs /if ?>
                              <?cs /def ?>
                              
                              <?cs def:ifCannotExportTables(output) ?>
                                 <?cs if:!CurrentUserCanAdmin || IsRunning || !Channel.ReadOnlyMode ?><?cs var:output ?><?cs /if ?>
                              <?cs /def ?>
                              
                              <?cs def:exportTablesButtonMouseEvents() ?>
                                 <?cs if:!CurrentUserCanAdmin ?>
                                    onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to export database tables.', null, this);"
                                 <?cs elif:Channel.IsNew ?>
                                    onMouseOver="TOOLtooltipLink('You must finish adding the channel before exporting database tables.', null, this);"
                                 <?cs elif:!Channel.ReadOnlyMode ?>
                                    onMouseOver="TOOLtooltipLink('You cannot export database tables while editing the channel.', null, this);"
                                 <?cs else ?>
                                    onMouseOver="TOOLtooltipLink('The channel must be stopped before exporting database tables.', null, this);"
                                 <?cs /if ?>
                                 onMouseOut="TOOLtooltipClose();"
                                 onmouseup="TOOLtooltipClose();"
                              <?cs /def ?>
                           
                              <?cs if:Channel.Source.RequiresTables ?>
                                 <tr><td colspan="4" class="center">
                                    <center><table><tr><td>
                                       <a id="hrefExportSourceTablesButton" class="button"
                                          href="/export_tables.html?ChannelName=<?cs var:url_escape(Channel.Name) ?>&ExportSourceTables=on"
                                          <?cs call:ifCannotExportTables('style="display:none;"') ?> >
                                          <span>Export Source Tables</span>
                                       </a>
                                       <div id="ExportSourceTablesButton" class="button_disable"
                                          <?cs call:ifCanExportTables('style="display:none;"') ?>
                                          <?cs call:exportTablesButtonMouseEvents() ?> >
                                          <span>Export Source Tables</span>
                                       </div>
                                    </td></tr></table></center>
                                 </td></tr>
                              <?cs /if ?>
                              
                              <?cs if:Channel.Destination.RequiresTables ?>
                                 <tr><td colspan="4" class="center">
                                    <center><table><tr><td>
                                       <a id="hrefExportDestinationTablesButton" class="button"
                                          href="/export_tables.html?ChannelName=<?cs var:url_escape(Channel.Name) ?>&ExportDestinationTables=on"
                                          <?cs call:ifCannotExportTables('style="display:none;"') ?> >
                                          <span>Export Destination Tables</span>
                                       </a>
                                       <div class="button_disable" id="ExportDestinationTablesButton"
                                          <?cs call:ifCanExportTables('style="display:none;"') ?>
                                          <?cs call:exportTablesButtonMouseEvents() ?> >
                                          <span>Export Destination Tables</span>
                                       </div>
                                    </td></tr></table></center>
                                 </td></tr>
                              <?cs /if ?>
                              
                              <?cs if:Channel.Source.RequiresTables && Channel.Destination.RequiresTables ?>
                              <!-- In the rare case of a DB -> DB channel, we will have a button to export both source and destination -->
                                 <tr><td colspan="4" class="center">
                                    <center><table><tr><td>
                                       <a id="hrefExportSourceAndDestinationTablesButton" class="button"
                                          href="/export_tables.html?ChannelName=<?cs var:url_escape(Channel.Name) ?>&ExportSourceTables=on&ExportDestinationTables=on"
                                          <?cs call:ifCannotExportTables('style="display:none;"') ?> >
                                          <span>Export Source and Destination Tables</span>
                                       </a>
                                       <div class="button_disable" id="ExportSourceAndDestinationTablesButton"
                                          <?cs call:ifCanExportTables('style="display:none;"') ?>
                                          <?cs call:exportTablesButtonMouseEvents() ?> >
                                          <span>Export Source and Destination Tables</span>
                                       </div>
                                    </td></tr></table></center>
                                 </td></tr>
                              <?cs /if ?>
                           
                           </tbody>
                           
                           <tbody id="tbodyAlwaysVisible">
                              
                           </tbody>
                           
                        </table>
         
                     
                     </div>
                     <br />
                     
                  </div>
                  
                  <br />
                  
                     <?cs if:Channel.IsNew ?>
                        <input type="hidden" name="Action.AddChannel" value="Create" />
                        <input type="submit" class="hidden_submit" name="Action" value="AddChannel" />
                        <input type="hidden" name="editTab" id="editTab" value="channelTab">
						<input type="hidden" name="channelGroups" id="channelGroups"/>
                        <table id="buttons">
                           <tr>
                              <td>
                                 <a class="button" href="javascript:channelSave();"><span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Add Channel</span></a>
                              </td>
                           </tr>
                        </table>
                     <?cs else ?>   
                        <input type="submit" class="hidden_submit" name="Action" value="ApplyChanges" />
                        <input type="hidden" name="editTab" id="editTab" value="channelTab">
                        <input type="hidden" name="Channel" id="Channel" value="<?cs var:html_escape(Channel.Name) ?>">
						<input type="hidden" name="channelGroups" id="channelGroups"/>
                        <table id="buttons">
							<tr>
							<?cs if:CurrentUserCanReconfigure ?>
								<?cs if:Channel.ReadOnlyMode ?>
									<td>
									<input type="hidden" name="ReadOnlyMode" id="ReadOnlyMode" value="Edit">
									<a class="button" href="javascript:document.channel_data.Action.click();" id="hrefChannelEditButton" <?cs if:IsRunning ?>style="display:none;"<?cs /if ?>>
									<span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit Channel</span></a>
									<div class="button_disable" <?cs if:!IsRunning ?>style="display:none;"<?cs /if ?> href="javascript:document.channel_data.Action.click();" 
									id="ChannelEditButton" onMouseOver="TOOLtooltipLink('The channel must be stopped before editing.', null, this);" onMouseOut="TOOLtooltipClose();"
									onmouseup="TOOLtooltipClose();" ><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Edit Channel</span></div>
									</td>       
								<?cs else ?>
									<td><input type="hidden" name="Action.ApplyChanges" value="Update" />
									<a class="button" href="javascript:channelSave();"><span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Save Changes</span></a></td>
									<td><a class="button" href="javascript:channelCancel();"><span> &nbsp;Cancel</span></a></td>
								<?cs /if ?>                                 
							<?cs else ?>
								<input type="hidden" name="editTab" id="editTab" value="channelTab">
								<td>
								<div class="button_disable" href="javascript:document.channel_data.Action.click();" id="ChannelEditButton" 
								onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to edit these settings.', null, this);" onMouseOut="TOOLtooltipClose();"
								onmouseup="TOOLtooltipClose();" >
								<span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Edit Channel</span></div>
								</td>   
							<?cs /if ?>
							</tr>
                        </table>
                     <?cs /if ?>
                  </form>
               </center>
            </div>
         </td>
      </tr>
   </table>

</div>

<div id="side_panel">

   <?cs if:!Channel.IsNew ?>
      <table id="side_table">

         <tr>
            <th id="side_header">
               Control Panel
            </th>
         </tr>


         <tr>
            <td id="side_body" style="padding-bottom:5px;">
               <table id="tableControlPanel" style="margin:0px;padding:0px;">            
                  <tr>
                     <td style="padding:15px 0px 0px 0px;">

                     
                        <div style="height:30px;">
                           
                           <a href="javascript:channelDoAction('stop');" id="hrefStopButton" onmousedown="$('#ChannelStopButton').attr('src', 'images/button-stopchannel_active.gif');" onmouseover="$('#ChannelStopButton').attr('src', 'images/button-stopchannel_hover.gif');" onmouseout="$('#ChannelStopButton').attr('src', 'images/button-stopchannel.gif');"<?cs if:CurrentUserCanStartStop && IsRunning ?> <?cs else ?>style="display:none;"<?cs /if ?>><img id="ChannelStopButton" src="images/button-stopchannel.gif" width="194" style="border:none; margin:0px; padding:0px;"/></a>
                       
                           <img id="ChannelStartButtonDisable" src="images/button-startchannel_disable.gif" width="194" style="border:none; margin:0px; padding:0px;<?cs if:CurrentUserCanStartStop && !IsRunning && !Channel.ReadOnlyMode ?> <?cs else ?>display:none;<?cs /if ?>" onMouseOver="TOOLtooltipLink('The channel cannot be started while editing.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();"/>
                        
                           <a href="javascript:channelDoAction('start');" id="hrefStartButton" onmousedown="$('#ChannelStartButton').attr('src', 'images/button-startchannel_active.gif');" onmouseover="$('#ChannelStartButton').attr('src', 'images/button-startchannel_hover.gif');" onmouseout="$('#ChannelStartButton').attr('src', 'images/button-startchannel.gif');"<?cs if:CurrentUserCanStartStop && !IsRunning && Channel.ReadOnlyMode ?> <?cs else ?>style="display:none;"<?cs /if ?>><img id="ChannelStartButton" src="images/button-startchannel.gif" width="194" style="border:none; margin:0px; padding:0px;"/></a>
                           
                           <img id="ChannelStartButtonNonAdmin" src="images/button-startchannel_disable.gif" width="194" style="border:none; margin:0px; padding:0px;<?cs if:!CurrentUserCanStartStop && !IsRunning  ?> <?cs else ?>display:none;<?cs /if ?>" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to start this channel.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();"/>

                           <img id="ChannelStopButtonNonAdmin" src="images/button-stopchannel_disable.gif" width="194" style="border:none; margin:0px; padding:0px;<?cs if:!CurrentUserCanStartStop && IsRunning  ?> <?cs else ?>display:none;<?cs /if ?>" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to stop this channel.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();"/>
                           
                        </div>
                        
                        <div style="margin:0px 0px 0px 53px;">
                           <img src="/images/icon_<?cs var:html_escape(Channel.Source.ShortName) ?>.gif" id="sourceImg" class="edit_permission_required">
                           <?cs if:Channel.UseMessageFilter ?>
                              <img src="/images/arrow_filter.gif" id="filterImg" class="edit_permission_required">
                           <?cs else ?>
                              <img src="/images/arrow.gif" id="filterImg">
                           <?cs /if ?>        
                           <img src="/images/icon_<?cs var:html_escape(Channel.Destination.ShortName) ?>.gif" id="destinationImg" class="edit_permission_required">
                        </div>


                     </td>
                  </tr>
               </table>
            </td>
         </tr>

     
      

         <tr>
            <td id="side_body">   
               <div class="textrow" style="height:40px;">
                  <h4 class="side_title" style="float:left;">Status</h4>
                  <p style="float:right;margin-top:15px;">
                    <?cs if:GreenLight ?>
                       <img src="/<?cs var:skin("images/button-dotgreenv4.gif") ?>" id="statusImg">
                    <?cs elif:YellowLight ?>
                       <img src="/<?cs var:skin("images/button-dotyellowv4.gif") ?>" id="statusImg">
                    <?cs elif:RedLight ?>
                       <img src="/<?cs var:skin("images/button-dotredv4.gif") ?>" id="statusImg">   
                    <?cs elif:OffLight ?> 
                       <img src="/<?cs var:skin("images/button-dotgrayv4.gif") ?>" id="statusImg">
                    <?cs /if ?>
                  </p>
               </div>
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Last Activity:</p>
                  <p class="alignright"><span id="spnLastActivityTimeStamp"><a href="/log_browse?Source=<?cs var:url_escape(Channel.Name)?>&NavAction=End" id="hrefLastActivity"><?cs if:LastActivityTimeStamp ?><?cs var:html_escape(LastActivityTimeStamp) ?><?cs else ?>N/A<?cs /if ?></a></span></p>
               </div>               
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Inbound Speed:</p>
                  <p class="alignright"><span id="spnInboundTps"><?cs var:InboundTps ?></span></p>                  
               </div>
               <?cs if:OutboundTps ?>
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Outbound Speed:</p>
                  <p class="alignright"><span id="spnOutboundTps"><?cs var:OutboundTps ?></span></p>                  
               </div>
               <?cs /if ?>
               <?cs def:show_clear(js_action, link_text) ?>
                  <?cs if:CurrentUserCanReconfigure ?>
                     [<a id="href_<?cs var:js_action  ?>" href="javascript:channelDoAction('<?cs var:js_action ?>');"><?cs var:link_text ?></a>]
                  <?cs else ?>
                     <span style="color:#949494; cursor:default;"
                        onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to clear this value.', null, this);"
                        onMouseOut="TOOLtooltipClose();"
                        onmouseup="TOOLtooltipClose();" >
                        [<span style="text-decoration:underline;">clear</span>]
                     </span>
                  <?cs /if ?>
               <?cs /def ?>

               <div class="textrow" id="CountOfErrorDiv" style="padding-right:5px;">
                  <p class="alignleft">Errors: 
		     <?cs if:ClearChannelErrorsBusy!=0 ?><?cs set:clear_text='busy' ?><?cs else ?><?cs set:clear_text='clear' ?><?cs /if ?>
                     <?cs call:show_clear('clearChannelErrors',clear_text) ?>
                  </p>
                  <p class="alignright"><span id="spnCountOfError"><?cs if: CountOfError ?><a class="error" id="hrefCountofError" href="/log_browse?Source=<?cs var:url_escape(Channel.Name)?>&Type=errors_unmarked"><?cs var:html_escape(CountOfError) ?></a><?cs else ?><a id="hrefCountofError" href="/log_browse?Source=<?cs var:url_escape(Channel.Name)?>&Type=errors_unmarked">0</a><?cs /if ?></span></p>
               </div>

               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Received:</p>
                  <p class="alignright"><span id="spnTotalEnqueued"><?cs var:html_escape(CountOfEnqueued) ?></span></p>
               </div>

	       <?cs if:!Channel.Destination.IsToChannel ?>
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Queued:</p>
                  <p class="alignright"><span id="spnQueued"><?cs if:CountOfRemaining ?><?cs var:html_escape(CountOfRemaining) ?><?cs else ?>0<?cs /if ?></span></p>
               </div>
               <?cs /if ?>

	       <?cs if:!Channel.Destination.IsToChannel ?>
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Total Processed:</p>
                  <p class="alignright"><span id="spnTotalProcessed"><?cs if:CountOfProcessed ?><?cs var:html_escape(CountOfProcessed) ?><?cs else ?>0<?cs /if ?></span></p>
               </div>
               <?cs /if ?>

	       <?cs if:!Channel.Destination.IsToChannel ?>
               <div class="textrow" style="padding-right:5px;">
                  <p class="alignleft">Current Processed: 
                     <?cs call:show_clear('clearCurrentProcessed','clear') ?>
                  </p>
                  <p class="alignright"><span id="spnCurrentProcessed"><?cs if:CountOfCurrentProcessed ?><?cs var:html_escape(CountOfCurrentProcessed) ?><?cs else ?>0<?cs /if ?></span></p>
               </div>
               <?cs /if ?>
            </td>
         </tr>
         
    
      <?cs if:Channel.ReadOnlyMode ?>
         <tr>      
            <td id="side_body">
               <h4 class="side_title">Logging Level</h4>

               <div style="width:100%;">
                  <select onchange="updateLoggingLevel(this.value);"
                     onfocus="updateLoggingLevelMessage('');"
                     <?cs if:!CurrentUserCanReconfigure ?>disabled="disabled"<?cs /if ?>>
                     <?cs each:loggingLevel = LoggingLevels ?>
                        <option value="<?cs name:loggingLevel ?>" <?cs if:name(loggingLevel) == ChannelLoggingLevel ?>selected<?cs /if ?>>
                           <?cs var:loggingLevel ?>
                        </option>
                     <?cs /each ?>
                  </select>
               </div>
               <div id="spanLoggingLevelMessage" style="clear:both;padding-top:5px;padding-bottom:0px;margin-bottom:0px;"></div>
                  
            </td>
         </tr>
      <?cs /if ?>
<!--
         <tr>      
            <td id="side_body" style="padding-bottom:5px; padding-top:15px;">
               <center>
                  <div style="height:30px; width:194px;">
                     <a id="hrefImportButton" onClick="openMessageImportDialog()" class="button" style="float:none;">
                        <span> &nbsp;IMPORT MESSAGES</span>
                     </a>
                  </div>
               </center>
            </td>
         </tr>
-->

         <tr>      
            <td id="side_body" style="padding-bottom:5px;">
               <table id="tableControlPanel" style="margin:0px;padding:0px;">            
                  <tr>
                     <td style="padding:15px 0px 0px 0px;">
                        <div style="height:30px;">
                           
                                 <img id="ChannelRemoveButtonAdmin" src="images/button-removechannel-disable.gif" width="194" style="border:none; margin:0px; padding:0px;<?cs if:CurrentUserCanAdmin && Channel.ReadOnly  ?> <?cs else ?>display:none;<?cs /if ?>" onMouseOver="TOOLtooltipLink('The channel must be stopped before removing.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();"/>
                              
                                 <a href="/channel_remove?Channel=<?cs var:url_escape(Channel.Name) ?>" id="hrefRemoveButton" onClick="return confirm('Are you sure you want to remove this channel?');" onmousedown="$('#ChannelRemoveButton').attr('src', 'images/button-removechannel_active.gif');" onmouseover="$('#ChannelRemoveButton').attr('src', 'images/button-removechannel_hover.gif');" onmouseout="$('#ChannelRemoveButton').attr('src', 'images/button-removechannel.gif');"<?cs if:CurrentUserCanAdmin && !Channel.ReadOnly  ?> <?cs else ?> style="display:none;"<?cs /if ?>><img id="ChannelRemoveButton" src="images/button-removechannel.gif" width="194" style="border:none; margin:0px; padding:0px;"/></a>
                              
                              <img id="ChannelRemoveButtonNonAdmin" src="images/button-removechannel-disable.gif" width="194" style="border:none; margin:0px; padding:0px;<?cs if:!CurrentUserCanAdmin ?> <?cs else ?>display:none;<?cs /if ?>" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to remove a channel.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();"/>
                           
                        </div>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
      
      </table>
   <?cs /if ?>
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <!-- Commenting out all help except links
      <tr>
      <td id="side_body">      
        
    
            <h4 class="side_title">Overview</h4>
        <p>
    On this page, you configure the channel that you are creating.

    -->
    <!-- commented out - takes up too much screen real estate -->
    <!--
         <?cs if:Channel.IsNew ?>
    To configure this channel, you must configure:</p>
         <?cs elif: CurrentUserCanAdmin && !Channel.ReadOnly ?>
    Use this page to edit a channel that has been previously created.
    You can edit:</p>
    <?cs else ?>
    From this page, you can view information about a channel that has been created. You can view:</p>
         <?cs /if?>
    <ul><li>
    The channel details, specified in the <b>Channel</b> tab;
    </li><li>
    The
         <?cs if:   Channel.Source.IsLLP ?>         <b>Source: LLP Listener</b>
         <?cs elif: Channel.Source.IsDatabase ?>    <b>Source: From Database</b>
         <?cs elif: Channel.Source.IsFile ?>        <b>Source: From File</b>
         <?cs elif: Channel.Source.IsExecutable ?>  <b>Source: From Plugin</b>
         <?cs elif: Channel.Source.IsHttp ?>  <b>Source: From HTTPS</b>
         <?cs elif: Channel.Source.IsFromChannel ?>  <b>Source: From Channel</b>
         <?cs else ?> an unknown source
         <?cs /if ?>
    component, specified in the <b>Source</b> tab;
    </li><li>The
         <?cs if:   Channel.Destination.IsLLP ?>         <b>Destination: LLP Client</b>
         <?cs elif: Channel.Destination.IsDatabase ?>    <b>Destination: To Database</b>
         <?cs elif: Channel.Destination.IsFile ?>        <b>Destination: To File</b>
         <?cs elif: Channel.Destination.IsExecutable ?>  <b>Destination: To Plugin</b>
         <?cs elif: Channel.Destination.IsHttp ?>  <b>Destination: To HTTPS</b>
         <?cs elif: Channel.Destination.IsToChannel ?>  <b>Destination: To Channel</b>
         <?cs else ?> an unknown destination
         <?cs /if ?>
    component, specified in the <b>Destination</b> tab.</li></ul>
    <p>
 You can use the <b>Filter</b> tab to configure a filter for this channel.
    </p>
    -->
     <!-- Commenting out all help except links
         <?cs if:Channel.IsNew ?>
    <p>
    When you have finished configuring the channel, click <b>Add Channel</b> to add the channel.
    </p>
         <?cs elif: CurrentUserCanAdmin && !Channel.ReadOnly ?>
    <p>
    When you have finished editing the channel, click <b>Save Changes</b> to apply the changes.
    </p>
         <?cs /if ?>
         <?cs if: !ErrorMessage && !Channel.IsNew && !Channel.ReadOnly && CurrentUserCanAdmin && (Channel.Source.RequiresTables || Channel.Destination.RequiresTables) ?>
    <p>
    To export the database tables, select the <b>Tables</b> tab and click
         <?cs if:Channel.Source.RequiresTables && Channel.Destination.RequiresTables ?>
    the button for the tables you wish to export.
         <?cs elif:Channel.Source.RequiresTables ?>
    <b>Export Source Tables</b>.
         <?cs elif:Channel.Destination.RequiresTables ?>
    <b>Export Destination Tables</b>.
         <?cs /if ?>
    </p>
         <?cs /if ?>
         </td>
      </tr>
      -->    
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
       <ul class="help_link_icon" style="margin-bottom:0px;">
       <li>
            <a href="http://www.interfaceware.com/manual/iguana4_configuring_channel_details.html" target="_blank">Configuring the Channel Details</a>
       </li><li>
         <?cs if:   Channel.Source.IsLLP ?>
            <a href="http://www.interfaceware.com/manual/iguana4_llp_listener.html" target="_blank">LLP Listener</a>
         <?cs elif: Channel.Source.IsDatabase ?>
            <a href="http://www.interfaceware.com/manual/iguana4_from_database.html" target="_blank">From Database</a>
         <?cs elif: Channel.Source.IsFile ?>
            <a href="http://www.interfaceware.com/manual/iguana4_from_file.html" target="_blank">From File</a></li>
 	    <li><a href="http://www.interfaceware.com/manual/iguana4_from_file_ftp_server.html" target="_blank">Downloading Files from an FTP Server</a>
         <?cs elif: Channel.Source.IsExecutable ?>
            <a href="http://www.interfaceware.com/manual/iguana4_from_plugin.html" target="_blank">From Plugin</a>
         <?cs elif: Channel.Source.IsHttp ?>
            <a href="http://www.interfaceware.com/manual/iguana4_from_https.html" target="_blank">From HTTPS</a>
         <?cs elif: Channel.Source.IsFromChannel ?>
            <a href="http://www.interfaceware.com/manual/iguana4_from_channel.html" target="_blank">From Channel</a>
         <?cs /if ?>
    </li><li>
            <a href="http://www.interfaceware.com/manual/iguana4_configuring_filter.html" target="_blank">Configuring the Filter</a>
       </li><li>
         <?cs if:   Channel.Destination.IsLLP ?>
            <a href="http://www.interfaceware.com/manual/iguana4_llp_client.html" target="_blank">LLP Client</a>
         <?cs elif: Channel.Destination.IsDatabase ?>
            <a href="http://www.interfaceware.com/manual/iguana4_to_database.html" target="_blank">To Database</a>
         <?cs elif: Channel.Destination.IsFile ?>
            <a href="http://www.interfaceware.com/manual/iguana4_to_file.html" target="_blank">To File</a></li>
	    <li><a href="http://www.interfaceware.com/manual/iguana4_to_file_ftp_server.html" target="_blank">Uploading Files to an FTP Server</a>
         <?cs elif: Channel.Destination.IsExecutable ?>
            <a href="http://www.interfaceware.com/manual/iguana4_to_plugin.html" target="_blank">To Plugin</a>
         <?cs elif: Channel.Destination.IsHttp ?>
            <a href="http://www.interfaceware.com/manual/iguana4_to_https.html" target="_blank">To HTTPS</a>
         <?cs elif: Channel.Destination.IsToChannel ?>
            <a href="http://www.interfaceware.com/manual/iguana4_to_channel.html" target="_blank">To Channel</a>
         <?cs elif: Channel.Destination.IsMapper  ?>
            <a href="http://www.interfaceware.com/manual/iguana_to_translator.html" target="_blank">To Translator</a>
         <?cs /if ?>
         <?cs if:Channel.IsNew ?>
       </li><li>
            <a href="http://www.interfaceware.com/manual/iguana4_adding_channel.html" target="_blank">Adding the Channel</a>
         <?cs elif: CurrentUserCanAdmin && !Channel.ReadOnly ?>
       </li><li>
            <a href="http://www.interfaceware.com/manual/iguana4_editing_channel.html" target="_blank">Editing a Channel</a>
         <?cs /if ?>
   <?cs if: Channel.Destination.IsExecutable ?>
       </li><li>
   <a href="http://www.interfaceware.com/manual/iguana4_exporting_legacy_database_tables.html" target="_blank">Exporting the Legacy Database Tables</a>
      <?cs /if ?>
         <?cs if:Channel.Source.RequiresTables || Channel.Destination.RequiresTables ?>
       </li>
       <li>
            <a href="http://www.interfaceware.com/manual/iguana4_exporting_tables.html" target="_blank">Exporting the Database Tables</a>
         <?cs /if ?>
       </li></ul>
         </td>
      </tr>
      
   </table>
   </div>
   <div id="helpTooltipDiv" class="helpTooltip">
      <b id="helpTooltipTitle"></b>
      <em id="helpTooltipBody"></em>  
      <input type="hidden" name="helpTooltipId" id="helpTooltipId" value="0">
   </div>
<!--
<?cs def:message_import_browse_input(name,value) ?>
   <input class="file" size="43" name="<?cs var:name ?>" id="<?cs var:name ?>" value="<?cs var:value ?>" style="float:left;"  />
   <a id="<?cs var:name ?>_browse" class="button" style="margin-left:5px;width:65px;" href="javascript:FILbrowse('', '<?cs var:name ?>');"><span> &nbsp;Browse</span></a>
   <div id="<?cs var:name ?>_browse_disabled" class="button_disable" style="margin-left:5px;width:65px; display:none;"><span> &nbsp;Browse</span></div>
   
   <div id="<?cs var:name ?>_preview_div" style="display:none;clear:both;padding:0px;margin:0px;">
      <div id="<?cs var:name ?>_path_preview" class="path_preview"></div>               
   </div>

   <script type="text/javascript">
      var inputField = document.getElementsByName('<?cs var:name ?>')[0];
      var previewSpan = document.getElementById('<?cs var:name ?>_path_preview');

      inputField.onchange = function() {
         updatePath
         (
            '<?cs var:name ?>', 
            document.getElementById('<?cs var:name ?>'),
            document.getElementById('<?cs var:name ?>_path_preview'),
            document.getElementById('<?cs var:name ?>_preview_div')
         );
         onMessageImportFilePathChange();
      };
    
      inputField.onkeyup = inputField.onchange;

      setInterval("updatePath('<?cs var:name ?>', document.getElementsByName('<?cs var:name ?>')[0], document.getElementById('<?cs var:name ?>_path_preview'),  document.getElementById('<?cs var:name ?>_preview_div') );", 500);
   </script>
<?cs /def ?>

<div id="messageImportDialog" style="display:none" title="Import Messages">
   <table style="width: 100%;" id="messageImportTable" cellspacing="0" cellpadding="0" border="0px">
      <tr>
         <td>
            <table style="width: 100%;" border="0px">
               <tr>
                  <td nowrap width="auto">
                     <b>From File:</b>
                  </td>
                  <td width="100%">
                     <?cs call:message_import_browse_input('MessageImportFileInput', '') ?>
                  </td>
               </tr>
            </table>
         </td>
      </tr>
      <tr>
         <td>
            <pre id="MessageImportProgress" name="MessageImportProgress">
            </pre>
         </td>
      </tr>
   </table>
</div>
-->
               
</body>
</html>
