<?cs include:"doctype.cs" ?>

<html>  <?cs # vim: set syntax=html :?>
<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Channel Groups &gt; <?cs if:Group.Name ?>Edit<?cs else ?>Add<?cs /if ?> Channel Group</title>
   <link rel="stylesheet" type="text/css" href="jquery-ui/css/south-street/jquery-ui-1.7.2.custom.css" />  
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("transition.css") ?>" /> 
   <link rel="stylesheet" type="text/css" href="/js/help_popup/help_popup.css" />
   <style type="text/css">
         
      a.button
      {  	  
         float:left;
      }

   </style>
   <script type="text/javascript" src="<?cs var:iguana_version_js("multi_select_chooser.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("ui.dialog.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("channel_filter.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/help_popup/help_popup.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/templates/edit_channel_group.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/access_control.js") ?>"></script> 
</head>
<body class="tabright">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <div id="iguana">

      <div id="cookie_crumb">
         <a href="/advanced.html">Settings</a> &gt; <a href="/channel_groupings_control.html">Channel Groups</a> &gt; <?cs if:Group.Name ?>Edit<?cs else ?>Add<?cs /if ?> Channel Group
      </div>

      <div id="dashboard_body">

         <center>
                  
            <form name="channel_group_data" method="post" action="/channel_groupings_control.html" onSubmit="return update_group();">

            <div class="workarea">

               <h1>
                  <?cs if:Group.Name ?>
                  Edit Channel Group
                  <?cs else ?>
                  Add Channel Group  
                  <?cs /if ?>
               </h1>
                 
               <div class="border_green"></div>
        
               <div id="result" class="<?cs if:ErrorMessage ?>error<?cs elif:StatusMessage ?>success<?cs else?>indeterminate<?cs /if ?>"> 

                  <div class="result_buttons_system">
                     <a id="result_close" ><img src="images\close_button.gif"/></a>
                  </div>    

                  <div id="result_title" class="<?cs if:ErrorMessage ?>error<?cs elif:StatusMessage ?>success<?cs /if ?>">

                     <?cs if:ErrorMessage ?>

                     Error
                     <?cs set:Content=ErrorMessage ?>

                     <?cs elif:StatusMessage ?>

                     Success
                     <?cs set:Content=StatusMessage ?>  

                     <?cs /if ?>   

                  </div>

                  <div id="result_content">
                     <?cs var:html_escape(Content) ?>
                  </div>

               </div>

               <div id="group_info" > 
               
                  <h2>                 
                  General Information
                  </h2>
               
                  <fieldset>

                     <ul>

                        <li class="generic_control">

                           <div class="label_text">
                           Group Name
                           </div> 

                           <div class="field_text">

                              <?cs if:Group.Name != "All Channels" ?>

                              <input type="text" class="text" id="group" name="group" value="<?cs var:html_escape(Group.Name) ?>" maxlength="30" />

                              <?cs else ?>

                              <?cs var:html_escape(Group.Name) ?>
                              <input type="hidden" id="group" name="group" value="<?cs var:html_escape(Group.Name) ?>" />

                              <?cs /if ?>

                           </div>

                           <?cs if:Group.Name ?>
                   
                           <input type="hidden" id="old_group_name" name="old_group_name" value="<?cs var:html_escape(Group.Name) ?>" />
                           <input type="hidden" id="action" name="action" value="editGroup" />
 
                           <?cs else ?>

                           <input type="hidden" id="old_group_name" name="old_group_name" value="" />
                           <input type="hidden" id="action" name="action" value="createGroup" />

                           <?cs /if ?>
                   
                        </li>

                        <li class="textarea_control">

                           <div class="label_text">
                           Description
                           </div> 

                           <div class="field_textarea">
                              <textarea class="group_description" id="description" name="description"><?cs var:html_escape(Group.Description) ?></textarea>
                           </div>

                        </li>

                     </ul>

                  </fieldset>

               </div>

               <div class="border_grey"></div>

               <div id="membership" <?cs if:Group.Name == "All Channels" ?>style="height:50px;"<?cs /if ?> > 
               
                  <h2>                 
                  Membership
                  </h2>

                  <fieldset>

                     <?cs if:Group.Name != "All Channels" ?>

                     <ul>   

                        <li class="membership_control">

                           <div class="excluded_membership_set">

                              <h3>
                              Excluded
                              </h3>

                              <div class="membership_set">

                                 <div id="channels_left" name="channels_left" class="custom_multi_select">

                                    <?cs each:item = Channels ?>
                                       <?cs if:!item.InGroup ?>   

                                       <div id="<?cs var:item.ID ?>" class="MSCunselected excluded_member" value="<?cs var:html_escape(item.Name) ?>">

                                          <input class="channel_id" type="hidden" value="<?cs var:item.ID ?>" />
                                          <?cs var:html_escape(item.Name) ?>
                                       </div>

			               <?cs /if ?>
                                    <?cs /each ?>

                                 </div>

                                 <div class="membership_count">
                                    <span id="element_count_left"></span>
                                 </div>

                              </div>
                      
                           </div>
            
                           <div class="membership_buttons">

                              <center> 

              	                 <a id="member_right_arrow" class="button vertical">
                                    <span><img src="/images/arrow_right_one.gif" alt=""/></span>
                                 </a>

                                 <a id="member_left_arrow" class="button vertical">
                                    <span><img src="/images/arrow_left_one.gif" alt=""/></span>
                                 </a>	   

			         <a id="member_dbl_right_arrow" class="button vertical">
                                    <span><img src="/images/arrow_right_all.gif" alt=""/></span>
                                 </a>

                                 <a id="member_dbl_left_arrow" class="button">
                                    <span><img src="/images/arrow_left_all.gif" alt=""/></span>
                                 </a>

                              </center>

		           </div>

                           <div class="included_membership_set">

                              <h3>
                              Included
                              </h3>

                              <div class="membership_set">

                                 <div id="channels_right" name="channels_right" class="custom_multi_select" >

      		                    <?cs each:item = Channels ?>
                                       <?cs if:item.InGroup ?>   

                                       <div id="<?cs var:item.ID ?>" class="MSCunselected included_member" value="<?cs var:html_escape(item.Name) ?>">
                                          <input class="channel_id" type="hidden" value="<?cs var:item.ID ?>" /> 
                                          <?cs var:html_escape(item.Name) ?>
                                       </div>

       	                               <?cs /if ?>
                                    <?cs /each ?>

                                 </div>

                                 <div class="membership_count">
			            <span id="element_count_right"></span>
			         </div>

                              </div>

                              <input type="hidden" id="included_channels" name="included_channels" /> 
                       
                           </div>  

                           <div class="filter_field_left">

                              <div class="filter_field">

                                 <a class="filter_search" style="cursor:default;">  
                                    <img class="filter" src="/images/icon_search.gif" alt=""/>
                                 </a> 

                                 <input id="filter_left" maxlength="20"/>                      

                                 <a id="filter_clear_left" class="filter_clear hidden_place_holder">
                                    <img class="filter" id="clear_filter_icon_left" name="clear_filter_icon_left" alt="" src="/<?cs var:skin("images/ex14.gif") ?>"/>
                                 </a>

                              </div>

                              <a id="group_text_query_icon_left" class="helpIcon" tabindex="100" title="More Information" target="_blank" href="#" 
                              rel="Use the Search field to display only the channels whose name matches what you type in the field.
                              <p>In this field, you can specify multiple words to be matched, exclude words, or use regular expressions.</p>
                              <p>For example, the search</p>
                              <p><strong>animal NOT (dog OR cat) -kitten /me+ow/</strong></p>
                              <p>matches all channel names that contain <strong>animal</strong>, do not contain <strong>dog</strong>, <strong>cat</strong> or <strong>kitten</strong>,
                              and contain <strong>m</strong> followed by one or more of <strong>e</strong> followed by <strong>ow</strong>
                              (for example, <strong>meow</strong>, <strong>meeow</strong> and <strong>meeeow</strong>).</p>
                              <a href=&quot;http://www.interfaceware.com/manual/iguana4_channel_groups_searching.html&quot; target=&quot;_blank&quot;>Learn More About Specifying Search Criteria In A Channel Group</a></br>">
                                 <img class="filter" src="<?cs var:skin("/images/help_icon.gif") ?>" border="0" />
                              </a> 

                           </div> 

                           <div class="filter_field_right">

                              <div class="filter_field">

                                 <a class="filter_search" style="cursor:default;">  
                                    <img class="filter" src="/images/icon_search.gif" alt=""/>
                                 </a> 

                                 <input id="filter_right" maxlength="20"/>

                                 <a id="filter_clear_right" class="filter_clear hidden_place_holder">
                                    <img class="filter" id="clear_filter_icon_right" name="clear_filter_icon_right" alt="" src="/<?cs var:skin("images/ex14.gif") ?>"/>
                                 </a>
  
                              </div>

                              <a id="group_text_query_icon_right" class="helpIcon" tabindex="100" title="More Information" target="_blank" href="#" 
                              rel="Use the Search field to display only the channels whose name matches what you type in the field.
                              <p>In this field, you can specify multiple words to be matched, exclude words, or use regular expressions.</p>
                              <p>For example, the search</p>
                              <p><strong>animal NOT (dog OR cat) -kitten /me+ow/</strong></p>
                              <p>matches all channel names that contain <strong>animal</strong>, do not contain <strong>dog</strong>, <strong>cat</strong> or <strong>kitten</strong>,
                              and contain <strong>m</strong> followed by one or more of <strong>e</strong> followed by <strong>ow</strong>
                              (for example, <strong>meow</strong>, <strong>meeow</strong> and <strong>meeeow</strong>).</p>
                              <a href=&quot;http://www.interfaceware.com/manual/iguana4_channel_groups_searching.html&quot; target=&quot;_blank&quot;>Learn More About Specifying Search Criteria In A Channel Group</a></br>">
                                 <img class="filter" src="<?cs var:skin("/images/help_icon.gif") ?>" border="0" />
                              </a>                        

                           </div>

                        </li>

                     </ul>

                     <?cs else ?>

                     This channel group is configured automatically.  It includes all channels.  This cannot be altered.
 
                     <?cs /if ?>

                  </fieldset>

               </div>

               <div class="border_grey" ></div>

               <div class="buttons">

                  <center>

                     <!-- For buttons with embedded image, it must wrap the within a table cell in order for the text to be aligned properly on IE7.
                          This can be removed once the style is fixed for IE. --> 

                     <table style="border:0px;padding:0px;margin:0px;display:inline;"><tr><td style="border:0px;padding:0px;margin:0px;">
                  
                        <?cs if:Group.Name ?>
    
                        <!-- The submit button is hidden, and a nicer looking button takes its place -->
                        <input id="apply_changes" class="hidden_submit" type="submit" value="Apply Changes">
                        <a class="button" id="save">
                           <span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Save Changes</span>
                        </a>

                        <?cs else ?>
                        
                        <!-- The submit button is hidden, and a nicer looking button takes its place -->
                        <input id="apply_changes" class="hidden_submit" type="submit" value="Add Group">
                        <a class="button" id="save">
                           <span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Add Group</span>
                        </a>
                     
                        <?cs /if ?>

                     </td>
                     <td style="border:0px;padding:0px;margin:0px;">

                        <a class="button_space button" href="/channel_groupings_control.html"><span>Cancel</span></a>

                     </td></tr></table>

                  </center>
 
               </div>
 
            </div>
 
            </form>

            <!-- This needed to calculate the width of the user names in the membership control. -->
            <?cs each:item = Channels ?>
            <span id="span_<?cs var:item.ID ?>" class="hidden_place_holder">
            <?cs var:html_escape(item.Name) ?>
            </span>
            <?cs /each ?>
                        
         </center>

      </div>
     
   </div>
   
</div>

<div id="side_panel">
   
   <div id="side_table">
      
      <div id="side_header">
      Page Help
      </div>

      <div id="side_body">

         <h4 class="side_title">Overview</h4>

         <p>
            <?cs if:Group.Name ?>
            On this page you can make changes to a channel group.
            <?cs else ?>
            On this page, you can add channels to a channel group.
            <?cs /if ?>
         </p>

         <h4 class="side_title">Related Settings</h4>

         <ul>

            <li> 
               <a href="/role_control.html">Roles & Users</a>
            </li>

            <li>
               <a href="/email_status.html">Email Notification</a>
            </li>

         </ul>
    
      </div>

      <div id="side_body">

         <h4 class="side_title">Help Links</h4>

         <ul class="help_link_icon">
         
            <li>
               <a href="http://www.interfaceware.com/manual/iguana4_channel_groups_adding_deleting.html" target="_blank">Adding or Deleting Channels in a Group</a>
            </li>
   
            <li>
               <a href="http://www.interfaceware.com/manual/iguana4_channel_groups_searching.html" target="_blank">Searching in a Channel Group</a>
            </li>
 
         </ul>

      </div>
   
    </div>

</div>

<div id="helpTooltipDiv" class="helpTooltip">
   <b id="helpTooltipTitle"></b>
   <em id="helpTooltipBody"></em>
   <input type="hidden" name="helpTooltipId" id="helpTooltipId" value="0">
</div>

</body>

</html> 
