<?cs include:"doctype.cs" ?>

<html>

<head>
   <title>Iguana Log In<?cs if:ServerLabel ?> (<?cs var:html_escape(ServerLabel) ?>)<?cs /if ?></title>
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("iguana_configuration.css") ?>" />
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.jfeed.pack.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.watermark.min.js") ?>"></script>

<style type="text/css"><!--
input.user_pass
{
   color: #254f03; 
   background-color: #cae5b4; 
   font-size: 12px; 
   border: none; 
   padding: 2px 4px 5px 4px; 
   width: 150px;
   border: 1px solid #254f0a;
}

span.news_item_date
{
   font: 10px verdana, arial, sans-serif;
   color: #999; 
   margin-bottom: 5px; 
}

div.login_error
{
   font-family: verdana, arial, sans-serif;
   font-size: 10px;
   font-weight: bold;
   color: #ebf8df;
   margin-top: 2px;
   margin-left: -14px;
   margin-right: 50px;
   padding-left: 17px;
   background-image:url('/images/icon_warning.gif');
   background-position: top left; 
   background-repeat: no-repeat;
}

div.news_item{
   font: 10px verdana, arial, sans-serif;
   color: #57584e; 
   line-height: 1.3em; 
}
a.news_item_title{
   font: bold 11px verdana, arial, sans-serif;
}

img.expand_tab{
   position: absolute; 
   left: 450px; 
   top: 57px; 
   height: 13px; 
   width:74px;"
}

--></style>

<script type="text/javascript">
   // ------------------- Javascript ----------------------------

   var NewsFeedExpanded = false;
   function clickNewsFeed()
   {
      var NewState = null;
      ( NewsFeedExpanded ? NewState = { marginTop : '0px' } : NewState = { marginTop : '-165px'  } )
      $('#top_frame').animate( NewState, 
                               duration = "slow")
                             .queue(function(){ 
                                    NewsFeedExpanded = !NewsFeedExpanded
                                    $('#bottom_frame').css('overflow', ( NewsFeedExpanded ? 'auto' : 'hidden'  ));
                                    showOrHideTab("slow");
				    $(this).dequeue();})
  		             .queue(function(){
			            (NewsFeedExpanded ? $('.news_item').slideDown() : $('.news_item').slideUp() );
			       	    $(this).dequeue();});
   }

   function showOrHideTab(AnimationTime)
   {
      if (NewsFeedExpanded)
      {
         $('#img_expand').fadeOut(AnimationTime);         
         $('#img_contract').fadeIn(AnimationTime);         
      }   
      else
      {
         $('#img_expand').fadeIn(AnimationTime);         
         $('#img_contract').fadeOut(AnimationTime);         
      }
   }

   function fetchNewsFeed()
   {
       jQuery.getFeed({
        url: '/newsfeed.rss',
        success: function(feed) {
                    
            var html = '';

            for(var i = 0; i < feed.items.length; i++) {
            
                var item = feed.items[i];
                
		ThisDate = new Date(item.updated); 
                html += '<a class="news_item_title" target="_blank" href="' + item.link + '">'
                + item.title
                + '</a> ' 
		+ '<span class="news_item_date">' + ThisDate.toLocaleDateString() + '</span>';
                
                html += '<div style="display: ' + (NewsFeedExpanded ? '' : 'none')  + ';"'
		     +  ' class="news_item">' 
		     + item.description + '</div><br/>';
            }
            
            jQuery('#bottom_frame').append(html);
        }    
    });
   }

   var DefaultUserName = '<?cs var:js_escape(DefaultUserName) ?>';
   var DefaultPassword = '<?cs var:js_escape(DefaultPassword) ?>';
   function initLoginFields()
   { 
      if (DefaultUserName && DefaultPassword)
      {
         $('#username').attr('value', DefaultUserName); 
         $('#password').attr('value', DefaultPassword);
      }
      $('#username').watermark('Username');
      $('#password').watermark('Password');
   }

   $(document).ready( function()
   {
      CheckLowColor();
      showOrHideTab();
      fetchNewsFeed();
      initLoginFields();
      $('#username').focus();
   })

   function readCookie(name)
   {
      var cookieName = name + "=";
      var cookieArray = document.cookie.split(';');
      for(var cookieIndex = 0; cookieIndex < cookieArray.length; cookieIndex++)
      {
         var cookie = cookieArray[cookieIndex];
         while(cookie.charAt(0) == ' ') cookie = cookie.substring(1, cookie.length);
         if(cookie.indexOf(cookieName) == 0) return cookie.substring(cookieName.length, cookie.length);
      }
      return null;
   }


   function CheckLowColor()
   {
      var cookieData = readCookie("IguanaSkinningDirectoryCookie");
      if(screen.colorDepth == 8)
      {
         if(cookieData != 'low_color/')
         {
            document.cookie='IguanaSkinningDirectoryCookie=low_color/; path=/';
            window.location.reload();
         }
      }
   }

   // ----------------------------------------------------------
</script>

</head>


<body style="background-color: #90918b; background-image:url('/images/header_bg_grey.gif'); background-position: top left; background-repeat:repeat-x;">

<!--
<div id="header">
</div>
-->

<!--[if IE]>
  <div style='border-bottom: 2px solid #ecca2d; background: #fffae4; text-align: center; clear: both; height: 75px; position: relative; z-index:1000;'>
    <div style='position: absolute; right: 3px; top: 3px; font-family: courier new; font-weight: bold;'><a href='#' onclick='javascript:this.parentNode.parentNode.style.display="none"; return false;'><img src='images/ie6nomore-cornerx.gif' style='border: none;' alt='Close this notice'/></a></div>
    <div style='width: 640px; margin: 0 auto; text-align: left; padding: 0; overflow: hidden; color: black;'>
      <div style='width: 75px; float: left;'><img src='images/ie6nomore-warning.gif' alt='Warning!'/></div>
      <div style='width: 270px; float: left; font-family: Arial, sans-serif;'>
        <div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>You are using an outdated browser</div>
        <div style='font-size: 11px; margin-top: 6px; line-height: 14px;'>Please upgrade to a compatible web browser 
        as outlined in Iguana's <a href='http://www.interfaceware.com/wiki/iguana_system_requirements.html'>system requirements</a>.</div>

      </div>
      <div style='width: 73px; float: left;'><a href='http://www.google.com/chrome' target='_blank'><img src='images/ie6nomore-chrome.gif' style='border: none;' title='Get Google Chrome'/></a></div>
      <div style='width: 73px; float: left;'><a href='http://www.firefox.com' target='_blank'><img src='images/ie6nomore-firefox.gif' style='border: none;' title='Get Firefox'/></a></div>
      <div style='float: left;'><a href='http://www.apple.com/safari/download/' target='_blank'><img src='images/ie6nomore-safari.gif' style='border: none;' title='Get Safari'/></a></div>
    </div>
  </div>
<![endif]-->


<div style="position: absolute; top:48%; margin-top:-225px; left: 50%; margin-left:-300px; height:450px; width:600px; border:2px; border-style:solid; border-color: #434343; background-color:#D0D6B8; background-image:url('/images/login_news_bg.jpg');">

<div id="outer_frame" style="overflow:hidden; height:414px; width:600px; position:relative;">
   <div id="top_frame" style="position: relative; background-image: url('/images/login_bg.jpg'); height: 335px; overflow:hidden; border: 0px;">
      <div id="login_elements" style="position:absolute;top:265px;margin-left:47px;">
         <form id="login_form" method="post" action="/login.html">
            <?cs each: SavedVariable = Saved ?>
              <input name="<?cs var:"Saved." + name(SavedVariable) + ".Name" ?>" type="hidden" value="<?cs var:html_escape(SavedVariable.Name) ?>" />
              <input name="<?cs var:"Saved." + name(SavedVariable) + ".Value" ?>" type="hidden" value="<?cs var:html_escape(SavedVariable.Value) ?>" />
            <?cs /each ?>
            <input type="hidden" name="RedirectLocation" value="<?cs var:RedirectLocation ?>">
            <input type="hidden" name="RedirectRequestMethod" value="<?cs var:RedirectRequestMethod ?>">
            <table>
               <tr>
                  <td style="padding:0px 0px 0px 0px;"><input class="user_pass" id="username" name="username"/></td>
                  <td style="padding:0px 0px 0px 5px;"><input class="user_pass" id="password" type="password" name="password"/></td>
                  <td style="padding:0px;">
                  <input type="image" class="no_style" value="Log In" src="/<?cs var:skin("images/button-login.gif") ?>" />
                  </td>
                 </tr>
            </table>
            
            <?cs if:ErrorMessage ?>
              <div class="login_error"><?cs var:html_escape(ErrorMessage) ?></div>
            <?cs elseif:SessionExpired ?>
               <div class="login_error">You have been logged out. To continue your requested operation, re-login here. <br>Otherwise, <a href="../login.html" style="color:#cee84c">reset the login page</a> to start a new session.</div>
            <?cs /if ?>
            
         </form>

         <img id="img_contract" src="/images/newsfeed_contract.gif" class="expand_tab"
               onclick="javascript:clickNewsFeed();"><!--This is the Collapse Tab clickable area --></img>
         <img id="img_expand" src="/images/newsfeed_expand.gif" class="expand_tab"
               onclick="javascript:clickNewsFeed();"><!--This is the Expand Tab clickable area --></img>
      </div>
   </div>
   <div id="bottom_frame"
   style="padding-left: 50px; 
   margin-top: 16px; 
   padding-right: 45px; 
   overflow:hidden; 
   height: 225px; 
   border:0px;"
   ></div>
</div><!-- outer_frame -->

<div style="position: absolute; bottom: 15px; right: 50px;"><img src="/images/newsfeed_watermark.gif"></div>

</div>
</body>

<!--[if IE]>
   <script type="text/javascript">
      document.getElementById("login_form").style.display = "none";
   </script>
<![endif]-->

</html>
